/*
 * Pantalla.java
 *
 * Created on 25 de noviembre de 2008, 11:35
 */

package final_risk;

import java.util.Observable;
import java.util.Observer;
import java.util.Random;

/**
 *
 * @author  HP_Administrator
 */
public class Pantalla extends javax.swing.JFrame implements Observer {
    private int turno= 0, num_jug= 0, modo_juego= 1, op= 0, asig_com= 2;
    private Random rnd = new Random();    
    private Random rnd_mision = new Random();    
    private Random rnd_comodin1 = new Random();
    private Random rnd_comodin2 = new Random();
    
    private int ocupado[]= new int[42];
    
    private String dir= "/Fondos/";
    private String nom= dir+"Snake.png";
    private String jug_icon= dir+"Jug_Snake.png";
    
    private Territorios origen, destino, info;
    
    private Juego_Principal juego;
    private Jugador jugadores[] = null;
    private Dados dados;
    
    

    /** Creates new form Pantalla */
    public Pantalla(Juego_Principal juego, Jugador jugadores[], Dados dados) {
        initComponents();


        //Pasamos los objetos
        this.juego= juego;
        this.jugadores= jugadores;
        this.dados= dados;
        
        //Le asignamos los identificadores a los jugadores
        for (int i= 0; i < 4; i++)
            this.jugadores[i]= new Jugador();
        
        //Inicializamos las tablas de los territorios asignados a los jugadores
        for(int i= 0; i < 42; i++)
            this.ocupado[i]= -1;
        
        
        //Evita que se pueda mover las columnas de la tabla
        Cartas_Territorios.getTableHeader().setReorderingAllowed(false);
        
        //Oculto los tres tipos de soldado.
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false);
        
        //Oculto los botones
        Atacar_Ter.setEnabled(false);
        Trasladar_Ejer.setEnabled(false);
        Info_Ter.setEnabled(false);
        Ubicar_Ejer.setEnabled(false);
        Terminar_Turno.setEnabled(false);

    }

    private void Accion(int num_ter) {
        String nom4= "";
        int tablavecino[];
        
        switch (this.jugadores[turno].getId_jug()){
            case 1: nom4= dir+"Jug_Snake_2.png";break;
            case 2: nom4= dir+"Jug_Meryl_2.png";break;
            case 3: nom4= dir+"Jug_Raiden_2.png";break;
            case 4: nom4= dir+"Jug_Mantis_2.png";break;
        }
        
        
        if (this.jugadores[turno].getId_jug() != (this.ocupado[num_ter - 1])){
            Mensaje("Territorio de otro jugador","El territorio "+this.juego.Nom_Territorio(num_ter - 1)+
                    " pertenece a otro jugador. Seleccione otro territorio que sea de su" +
                    " propiedad.");
            this.op= 0;
        }
        else {
            switch (this.op){
                case 1: break;
                case 2: break;
                case 3: 
                      jText_JugPer.setText(this.jugadores[turno].getNombre_jug());
                      this.info= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                      jTextTer_Sel.setText(this.info.getNombre());
                      jTextContinente.setText(this.info.getContinente());
                      jTextEjer_Asig.setText(this.info.getEjercitos()+"");
                      jTextNum_Vec.setText(this.info.getNVecinos()+"");
                      
                      switch (this.info.getTipo_soldado()){
                          case 1: Carta_soldado.setText("Soldado Elite");break;
                          case 2: Carta_soldado.setText("Guerrera");break;
                          case 3: Carta_soldado.setText("Espartano");break;
                      }
                      
                      tablavecino= new int[this.info.getNVecinos()];
                      tablavecino= this.info.getVecinos();
                      for (int i= 0; i < this.info.getNVecinos(); i++)
                        jTabla_Vecino.setValueAt(this.juego.Nom_Territorio(tablavecino[i]-1), i, 0);
                      
                      
                      Info_Territorio2.setSize(425,400);
                      Info_Territorio2.setLocation(500,200);
                      Info_Territorio2.setVisible(true);
                      break;
                case 4: 
                      if (this.jugadores[turno].getN_ejercitos() == 0)
                            Mensaje("Falta Ejercitos","No dispones de ejercitos para asignar.");
                      else{
                        Jugador_Icon.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom4)));
                        Jugador_Nom.setText(this.jugadores[turno].getNombre_jug());
                        this.origen= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                        jText_Terri.setText(this.origen.getNombre());
                        jText_Asig.setText(this.origen.getEjercitos()+"");
                        jText_Disp.setText(this.jugadores[turno].getN_ejercitos()+"");
                        Combo_Ejercitos.setSelectedIndex(0);
                        Ubicar_Ejercitos2.setSize(400, 350);
                        Ubicar_Ejercitos2.setLocation(500, 200);
                        Ubicar_Ejercitos2.setVisible(true);
                      } 
                        break;
            }
        }
        
        this.op= 0;

    }

    private void Actualizar(int num_ter, int usuario, Territorios ter) {
        String prop= "";
        
        switch (usuario){
            case 1: nom= dir+"Snake.png"; prop= "Propiedad de "+this.jugadores[0].getNombre_jug();break;
            case 2: nom= dir+"Meryl.png"; prop= "Propiedad de "+this.jugadores[1].getNombre_jug();break;
            case 3: nom= dir+"Raiden.png"; prop= "Propiedad de "+this.jugadores[2].getNombre_jug();break;
            case 4: nom= dir+"Mantis.png"; prop= "Propiedad de "+this.jugadores[3].getNombre_jug();break;
        }

        switch(num_ter)
        {
            case 1:  Ejer_1.setText(ter.getEjercitos()+""); //Alaska
                     Marca_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_1.setToolTipText(prop);break;
            case 2:  Ejer_2.setText(ter.getEjercitos()+""); //Alberta
                     Marca_2.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_2.setToolTipText(prop);break;
            case 3:  Ejer_3.setText(ter.getEjercitos()+""); //America Central
                     Marca_3.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_3.setToolTipText(prop);break;
            case 4:  Ejer_4.setText(ter.getEjercitos()+""); //Estados Unidos del Este
                     Marca_4.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_4.setToolTipText(prop);break;
            case 5:  Ejer_5.setText(ter.getEjercitos()+""); //Groenlandia
                     Marca_5.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_5.setToolTipText(prop);break;
            case 6:  Ejer_6.setText(ter.getEjercitos()+""); //Territorios del Noroeste
                     Marca_6.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_6.setToolTipText(prop);break;
            case 7:  Ejer_7.setText(ter.getEjercitos()+""); //Ontario
                     Marca_7.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_7.setToolTipText(prop);break;
            case 8:  Ejer_8.setText(ter.getEjercitos()+""); //Quebec
                     Marca_8.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_8.setToolTipText(prop);break;
            case 9:  Ejer_9.setText(ter.getEjercitos()+""); //Estados Unidos del Oeste
                     Marca_9.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_9.setToolTipText(prop);break;
            case 10:  Ejer_10.setText(ter.getEjercitos()+""); //Argentina
                     Marca_10.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_10.setToolTipText(prop);break;
            case 11:  Ejer_11.setText(ter.getEjercitos()+""); //Brasil
                     Marca_11.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_11.setToolTipText(prop);break;
            case 12:  Ejer_12.setText(ter.getEjercitos()+""); //Peru
                     Marca_12.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_12.setToolTipText(prop);break;
            case 13:  Ejer_13.setText(ter.getEjercitos()+""); //Venezuela
                     Marca_13.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_13.setToolTipText(prop);break;
            case 14:  Ejer_14.setText(ter.getEjercitos()+""); //Congo
                     Marca_14.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_14.setToolTipText(prop);break;
            case 15:  Ejer_15.setText(ter.getEjercitos()+""); //Africa Oriental
                     Marca_15.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_15.setToolTipText(prop);break;
            case 16:  Ejer_16.setText(ter.getEjercitos()+""); //Egipto
                     Marca_16.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_16.setToolTipText(prop);break;
            case 17:  Ejer_17.setText(ter.getEjercitos()+""); //Madagascar
                     Marca_17.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_17.setToolTipText(prop);break;
            case 18:  Ejer_18.setText(ter.getEjercitos()+""); //Africa del Norte
                     Marca_18.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_18.setToolTipText(prop);break;
            case 19:  Ejer_19.setText(ter.getEjercitos()+""); //Sudafrica
                     Marca_19.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_19.setToolTipText(prop);break;
            case 20:  Ejer_20.setText(ter.getEjercitos()+""); //Afghanistan
                     Marca_20.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_20.setToolTipText(prop);break;
            case 21:  Ejer_21.setText(ter.getEjercitos()+""); //China
                     Marca_21.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_21.setToolTipText(prop);break;
            case 22:  Ejer_22.setText(ter.getEjercitos()+""); //India
                     Marca_22.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_22.setToolTipText(prop);break;
            case 23:  Ejer_23.setText(ter.getEjercitos()+""); //Irkutsk
                     Marca_23.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_23.setToolTipText(prop);break;
            case 24:  Ejer_24.setText(ter.getEjercitos()+""); //Japon
                     Marca_24.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_24.setToolTipText(prop);break;
            case 25:  Ejer_25.setText(ter.getEjercitos()+""); //Kamchatka
                     Marca_25.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_25.setToolTipText(prop);break;
            case 26:  Ejer_26.setText(ter.getEjercitos()+""); //Oriente Medio
                     Marca_26.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_26.setToolTipText(prop);break;
            case 27:  Ejer_27.setText(ter.getEjercitos()+""); //Gran Bretaa
                     Marca_27.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_27.setToolTipText(prop);break;
            case 28:  Ejer_28.setText(ter.getEjercitos()+""); //Iceland
                     Marca_28.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_28.setToolTipText(prop);break;
            case 29:  Ejer_29.setText(ter.getEjercitos()+""); //Europa del Norte
                     Marca_29.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_29.setToolTipText(prop);break;
            case 30:  Ejer_30.setText(ter.getEjercitos()+""); //Escandinavia
                     Marca_30.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_30.setToolTipText(prop);break;
            case 31:  Ejer_31.setText(ter.getEjercitos()+""); //Europa del Sur
                     Marca_31.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_31.setToolTipText(prop);break;
            case 32:  Ejer_32.setText(ter.getEjercitos()+""); //Ucrania
                     Marca_32.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_32.setToolTipText(prop);break;
            case 33:  Ejer_33.setText(ter.getEjercitos()+""); //Europa Occidental
                     Marca_33.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_33.setToolTipText(prop);break;
            case 34:  Ejer_34.setText(ter.getEjercitos()+""); //Mongolia
                     Marca_34.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_34.setToolTipText(prop);break;
            case 35:  Ejer_35.setText(ter.getEjercitos()+""); //Siam
                     Marca_35.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_35.setToolTipText(prop);break;
            case 36:  Ejer_36.setText(ter.getEjercitos()+""); //Siberia
                     Marca_36.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_36.setToolTipText(prop);break;
            case 37:  Ejer_37.setText(ter.getEjercitos()+""); //Ural
                     Marca_37.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_37.setToolTipText(prop);break;
            case 38:  Ejer_38.setText(ter.getEjercitos()+""); //Yakutsk
                     Marca_38.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_38.setToolTipText(prop);break;
            case 39:  Ejer_39.setText(ter.getEjercitos()+""); //Australia Oriental
                     Marca_39.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_39.setToolTipText(prop);break;
            case 40:  Ejer_40.setText(ter.getEjercitos()+""); //Indonesia
                     Marca_40.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_40.setToolTipText(prop);break;
            case 41:  Ejer_41.setText(ter.getEjercitos()+""); //Nueva Guinea
                     Marca_41.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_41.setToolTipText(prop);break;
            case 42:  Ejer_42.setText(ter.getEjercitos()+""); //Australia Occidental
                     Marca_42.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_42.setToolTipText(prop);break;
            
        }        
    }

    private void Asignar_Territorio(int num_jug) {
        int i= 0, valor= 0, z= 0;
        String nom2= "";
        Territorios nuevo;
        
        /*Activamos los paneles
        Panel_Tablero.setVisible(true);
        Panel_Botones.setVisible(true);                */
        
        switch (num_jug){
            case 2: //Para dos jugadores
                    while (i < 21){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio(),this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[1].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    break;
            case 3: //Para 3 jugadores
                    while (i < 14){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 14){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[1].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[2].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[2].getId_jug());
                            this.jugadores[2].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[2].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    break;
            case 4: //Para 4 jugadores
                    while (i < 11){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 11){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[1].getId_jug(),nuevo);
                            i++;
                        }
                    }

                    i= 0;
                    while (i < 10){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[2].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[2].getId_jug());
                            this.jugadores[2].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[2].getId_jug(),nuevo);
                            i++;
                        }
                    }

                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[3].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[3].getId_jug());
                            this.jugadores[3].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[3].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    break;
        }
        
        fondo2.setVisible(false);
        
        i= 0;
        switch (this.modo_juego){
            case 2:
                    while (i < this.num_jug){
                        z= 0;
                        valor= this.rnd_mision.nextInt(6);
                        while (z < this.num_jug){
                            if ((valor+1) == this.jugadores[z].getNum_mision()){
                                valor= this.rnd_mision.nextInt(6);
                                z= -1;
                            }
                            z++;
                        }    
                        this.jugadores[i].setNum_mision(this.juego.getMision(valor).getNum_mision());
                        this.jugadores[i].setMision(this.juego.getMision(valor));
                        i++;
                    }
                    
                    break;
            
            case 3: 
                    while (i < this.num_jug){
                        this.turno= i;
                        switch (i){
                            case 0: nom2= dir+"Jug_Snake_2.png"; break;
                            case 1: nom2= dir+"Jug_Meryl_2.png"; break;
                            case 2: nom2= dir+"Jug_Raiden_2.png"; break;
                            case 3: nom2= dir+"Jug_Mantis_2.png"; break;
                        }
                        
                        Jugador.setText(this.jugadores[i].getNombre_jug()+"");
                        Jugador_icon.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom2)));

                        for (int j= 0; j < this.jugadores[i].getnumTerritorios(); j++){
                            nuevo= this.jugadores[i].getTerritorios_One(j);
                            Combo_Territorio.addItem(nuevo.getNombre());
                        }
                        this.turno= i;
                        Selecionar_Capital.setSize(410, 300);
                        Selecionar_Capital.setLocation(500, 300);
                        Selecionar_Capital.setVisible(true);
                        Combo_Territorio.removeAllItems();    
                        i++;
                    }
                    break;
        }

    }

    private void Inicializar() {
        /*Panel_Tablero.setVisible(false);
        Panel_Botones.setVisible(false);        */
        
        for(int i= 0; i < 42; i++)
            this.ocupado[i]= -1;
    }

    private void Mensaje(String titulo, String tema) {
        
        Mensaje.setTitle(titulo);
        
        jTextArea1.setText("Al jugador:  "/*+this.jugadores[turno].getNombre_jug()+". "*/+tema);
        
        if (Aviso.isSelected() != true){
            Habilitar_Mensaje.setSelected(false);
            Mensaje.setSize(400, 275);
            Mensaje.setLocation(500, 300);
            Mensaje.setVisible(true);
        }
    }

    private void Pulsado(String name) {
        int num_ter= 0;
        
        num_ter= Integer.parseInt(name);
        
        switch (this.op){
            case 0: Mensaje("Pulsar Opciones","Pulse en los botones " +
                    "(Atacar, Trasladar, Informacin o Ubicar Territorios) para realizar" +
                    " las operaciones.");break;
            case 1: Accion(num_ter);break;
            case 2: Accion(num_ter);break;
            case 3: Accion(num_ter);break;               
            case 4: Accion(num_ter);break;           
        }
    }

    private void Rellenar_Tabla() {
        String tipo="", estado= "";
                
        Cartas_Territorios.clearSelection();
        for (int i= 0; i < this.jugadores[turno].getnumTerritorios(); i++){
            Cartas_Territorios.setValueAt(i + 1, i, 0);
            Cartas_Territorios.setValueAt(this.jugadores[turno].getTerritorios_One(i).getNombre(), i, 1);
            Cartas_Territorios.setValueAt(this.jugadores[turno].getTerritorios_One(i).getContinente(), i, 2);
            switch (this.jugadores[turno].getTerritorios_One(i).getTipo_soldado()){
                case 1: tipo= "Soldado Elite"; break;
                case 2: tipo= "Guerrera"; break;
                case 3: tipo= "Espartano"; break;   
            }
            Cartas_Territorios.setValueAt(tipo, i, 3);
            
            if (this.jugadores[turno].getTerritorios_One(i).isCanjeado() == false)
                estado= "No Canjeado";
            else
                estado= "Canjeado";
           
            Cartas_Territorios.setValueAt(estado, i, 4);
        }        
    }


    private void Seleccionado(int idTerritorio) {
        switch(idTerritorio)
        {
            case 1:  //Alaska
                     Marca_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 2:  //Alberta
                     Marca_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 3:  //America Central
                     Marca_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 4:  //Estados Unidos del Este
                     Marca_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 5:  //Groenlandia
                     Marca_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 6:  //Territorios del Noroeste
                     Marca_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 7:  //Ontario
                     Marca_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 8:  //Quebec
                     Marca_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 9:  //Estados Unidos del Oeste
                     Marca_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 10:  //Argentina
                     Marca_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 11:  //Brasil
                     Marca_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 12:  //Peru
                     Marca_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 13:  //Venezuela
                     Marca_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 14:  //Congo
                     Marca_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 15:  //Africa Oriental
                     Marca_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 16:  ; //Egipto
                     Marca_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 17:  //Madagascar
                     Marca_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 18:  //Africa del Norte
                     Marca_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 19:  //Sudafrica
                     Marca_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 20:  //Afghanistan
                     Marca_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 21:  //China
                     Marca_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 22:  //India
                     Marca_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 23:  //Irkutsk
                     Marca_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 24:  //Japon
                     Marca_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 25:  //Kamchatka
                     Marca_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 26:  //Oriente Medio
                     Marca_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 27:  //Gran Bretaa
                     Marca_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 28:  //Iceland
                     Marca_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 29:  //Europa del Norte
                     Marca_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 30:  //Escandinavia
                     Marca_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 31:  //Europa del Sur
                     Marca_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 32:  //Ucrania
                     Marca_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 33:  //Europa Occidental
                     Marca_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));break;
            case 34:  //Mongolia
                     Marca_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 35:  //Siam
                     Marca_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 36:  //Siberia
                     Marca_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 37:  //Ural
                     Marca_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 38:  //Yakutsk
                     Marca_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 39:  //Australia Oriental
                     Marca_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 40:  //Indonesia
                     Marca_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 41:  //Nueva Guinea
                     Marca_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
            case 42:  //Australia Occidental
                     Marca_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), 2, false));break;
        }        
    }





    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Ataque = new javax.swing.JDialog();
        jLabel1 = new javax.swing.JLabel();
        Ini_Ataque = new javax.swing.JButton();
        Can_Ataque = new javax.swing.JButton();
        Ubicar_Ejercito = new javax.swing.JDialog();
        jLabel2 = new javax.swing.JLabel();
        Ini_Sele = new javax.swing.JButton();
        Can_Sele = new javax.swing.JButton();
        Ubicar_Ejercitos2 = new javax.swing.JDialog();
        Jugador_Icon = new javax.swing.JLabel();
        Jugador_Nom = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jText_Terri = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jText_Asig = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        Combo_Ejercitos = new javax.swing.JComboBox();
        Ub_Ok = new javax.swing.JButton();
        Ub_Can = new javax.swing.JButton();
        jLabel16 = new javax.swing.JLabel();
        jText_Disp = new javax.swing.JTextField();
        Trasladar_Ejercito = new javax.swing.JDialog();
        jLabel3 = new javax.swing.JLabel();
        Ini_Traslado = new javax.swing.JButton();
        Can_Traslado = new javax.swing.JButton();
        jLabel17 = new javax.swing.JLabel();
        Grupo_boton = new javax.swing.ButtonGroup();
        Info_Territorio = new javax.swing.JDialog();
        jLabel4 = new javax.swing.JLabel();
        Sel_Territorio = new javax.swing.JButton();
        Can_seleccion = new javax.swing.JButton();
        Info_Territorio2 = new javax.swing.JDialog();
        jLabel18 = new javax.swing.JLabel();
        jText_JugPer = new javax.swing.JTextField();
        jTextTer_Sel = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jTextContinente = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jTextEjer_Asig = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        OK_Info2 = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTabla_Vecino = new javax.swing.JTable();
        jTextNum_Vec = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        Carta_soldado = new javax.swing.JTextField();
        Nueva_Part = new javax.swing.JDialog();
        jPanel1 = new javax.swing.JPanel();
        Modo_1 = new javax.swing.JCheckBox();
        Modo_2 = new javax.swing.JCheckBox();
        Modo_3 = new javax.swing.JCheckBox();
        jPanel2 = new javax.swing.JPanel();
        jCheckBox1 = new javax.swing.JCheckBox();
        jCheckBox2 = new javax.swing.JCheckBox();
        jCheckBox3 = new javax.swing.JCheckBox();
        jText_Jug_1 = new javax.swing.JTextField();
        jText_Jug_2 = new javax.swing.JTextField();
        jText_Jug_3 = new javax.swing.JTextField();
        jText_Jug_4 = new javax.swing.JTextField();
        Icon_Jug1 = new javax.swing.JLabel();
        Icon_Jug2 = new javax.swing.JLabel();
        Icon_Jug3 = new javax.swing.JLabel();
        Icon_Jug4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        Aceptar_partida = new javax.swing.JButton();
        Cancelar_partida = new javax.swing.JButton();
        Grupo_modoJue = new javax.swing.ButtonGroup();
        Grupo_Jugadores = new javax.swing.ButtonGroup();
        Mision_Secreta = new javax.swing.JDialog();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        Text_Comp_Obj2 = new javax.swing.JTextField();
        Text_Comp_Obj1 = new javax.swing.JTextField();
        Text_Objetivo2 = new javax.swing.JTextField();
        Text_Objetivo1 = new javax.swing.JTextField();
        Text_Objetivos = new javax.swing.JTextField();
        Text_NumMision = new javax.swing.JTextField();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        Text_NumTerritorio1 = new javax.swing.JTextField();
        Text_NumTerritorio2 = new javax.swing.JTextField();
        Boton_mision_Ok = new javax.swing.JButton();
        Selecionar_Capital = new javax.swing.JDialog();
        jLabel9 = new javax.swing.JLabel();
        Combo_Territorio = new javax.swing.JComboBox();
        Jugador = new javax.swing.JLabel();
        Jugador_icon = new javax.swing.JLabel();
        Aceptar_capital = new javax.swing.JButton();
        Mensaje = new javax.swing.JDialog();
        Scroll_Mensaje = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        Boton_Ok = new javax.swing.JButton();
        Aviso = new javax.swing.JCheckBox();
        Panel_Tablero = new javax.swing.JTabbedPane();
        jLayered_Tablero = new javax.swing.JLayeredPane();
        fondo2 = new javax.swing.JLabel();
        Ejer_1 = new javax.swing.JLabel();
        Ejer_2 = new javax.swing.JLabel();
        Ejer_3 = new javax.swing.JLabel();
        Ejer_4 = new javax.swing.JLabel();
        Ejer_5 = new javax.swing.JLabel();
        Ejer_6 = new javax.swing.JLabel();
        Ejer_7 = new javax.swing.JLabel();
        Ejer_8 = new javax.swing.JLabel();
        Ejer_9 = new javax.swing.JLabel();
        Ejer_10 = new javax.swing.JLabel();
        Ejer_11 = new javax.swing.JLabel();
        Ejer_12 = new javax.swing.JLabel();
        Ejer_13 = new javax.swing.JLabel();
        Ejer_14 = new javax.swing.JLabel();
        Ejer_15 = new javax.swing.JLabel();
        Ejer_16 = new javax.swing.JLabel();
        Ejer_17 = new javax.swing.JLabel();
        Ejer_18 = new javax.swing.JLabel();
        Ejer_19 = new javax.swing.JLabel();
        Ejer_20 = new javax.swing.JLabel();
        Ejer_21 = new javax.swing.JLabel();
        Ejer_22 = new javax.swing.JLabel();
        Ejer_23 = new javax.swing.JLabel();
        Ejer_24 = new javax.swing.JLabel();
        Ejer_25 = new javax.swing.JLabel();
        Ejer_26 = new javax.swing.JLabel();
        Ejer_27 = new javax.swing.JLabel();
        Ejer_28 = new javax.swing.JLabel();
        Ejer_29 = new javax.swing.JLabel();
        Ejer_30 = new javax.swing.JLabel();
        Ejer_31 = new javax.swing.JLabel();
        Ejer_32 = new javax.swing.JLabel();
        Ejer_33 = new javax.swing.JLabel();
        Ejer_34 = new javax.swing.JLabel();
        Ejer_35 = new javax.swing.JLabel();
        Ejer_36 = new javax.swing.JLabel();
        Ejer_37 = new javax.swing.JLabel();
        Ejer_38 = new javax.swing.JLabel();
        Ejer_39 = new javax.swing.JLabel();
        Ejer_40 = new javax.swing.JLabel();
        Ejer_41 = new javax.swing.JLabel();
        Ejer_42 = new javax.swing.JLabel();
        Marca_1 = new javax.swing.JLabel();
        Marca_2 = new javax.swing.JLabel();
        Marca_3 = new javax.swing.JLabel();
        Marca_4 = new javax.swing.JLabel();
        Marca_5 = new javax.swing.JLabel();
        Marca_6 = new javax.swing.JLabel();
        Marca_7 = new javax.swing.JLabel();
        Marca_8 = new javax.swing.JLabel();
        Marca_9 = new javax.swing.JLabel();
        Marca_10 = new javax.swing.JLabel();
        Marca_11 = new javax.swing.JLabel();
        Marca_12 = new javax.swing.JLabel();
        Marca_13 = new javax.swing.JLabel();
        Marca_14 = new javax.swing.JLabel();
        Marca_15 = new javax.swing.JLabel();
        Marca_16 = new javax.swing.JLabel();
        Marca_17 = new javax.swing.JLabel();
        Marca_18 = new javax.swing.JLabel();
        Marca_19 = new javax.swing.JLabel();
        Marca_20 = new javax.swing.JLabel();
        Marca_21 = new javax.swing.JLabel();
        Marca_22 = new javax.swing.JLabel();
        Marca_23 = new javax.swing.JLabel();
        Marca_24 = new javax.swing.JLabel();
        Marca_25 = new javax.swing.JLabel();
        Marca_26 = new javax.swing.JLabel();
        Marca_27 = new javax.swing.JLabel();
        Marca_28 = new javax.swing.JLabel();
        Marca_29 = new javax.swing.JLabel();
        Marca_30 = new javax.swing.JLabel();
        Marca_31 = new javax.swing.JLabel();
        Marca_32 = new javax.swing.JLabel();
        Marca_33 = new javax.swing.JLabel();
        Marca_34 = new javax.swing.JLabel();
        Marca_35 = new javax.swing.JLabel();
        Marca_36 = new javax.swing.JLabel();
        Marca_37 = new javax.swing.JLabel();
        Marca_38 = new javax.swing.JLabel();
        Marca_39 = new javax.swing.JLabel();
        Marca_40 = new javax.swing.JLabel();
        Marca_41 = new javax.swing.JLabel();
        Marca_42 = new javax.swing.JLabel();
        Nom_jug = new javax.swing.JLabel();
        Jug_1 = new javax.swing.JLabel();
        Modo_JuegoSel = new javax.swing.JLabel();
        Territorio_def = new javax.swing.JLabel();
        fondo = new javax.swing.JLabel();
        jPanel_Cartas = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        Cartas_Territorios = new javax.swing.JTable();
        jLayeredPane1 = new javax.swing.JLayeredPane();
        Soldado_Elite = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        Guerrera = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        Espartano = new javax.swing.JLabel();
        jSeparator5 = new javax.swing.JSeparator();
        jSeparator6 = new javax.swing.JSeparator();
        Panel_Botones = new javax.swing.JLayeredPane();
        jLabel10 = new javax.swing.JLabel();
        Text_EjerSinAsig = new javax.swing.JTextField();
        Text_TerriOcu = new javax.swing.JTextField();
        Text_EjerAsig = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jSeparator3 = new javax.swing.JSeparator();
        Atacar_Ter = new javax.swing.JButton();
        Trasladar_Ejer = new javax.swing.JButton();
        Info_Ter = new javax.swing.JButton();
        Ubicar_Ejer = new javax.swing.JButton();
        Mision_Sec = new javax.swing.JButton();
        Terminar_Turno = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JSeparator();
        jPanel3 = new javax.swing.JPanel();
        Sel_Origen = new javax.swing.JLabel();
        Sel_Destino = new javax.swing.JLabel();
        jText_Ori = new javax.swing.JTextField();
        jText_Des = new javax.swing.JTextField();
        Menu_Principal = new javax.swing.JMenuBar();
        Menu_Jugar = new javax.swing.JMenu();
        Item_Nueva_Partida = new javax.swing.JMenuItem();
        Item_Continuar = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        Item_Guardar = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        Item_Salir = new javax.swing.JMenuItem();
        Menu_Idioma = new javax.swing.JMenu();
        Idiomas = new javax.swing.JMenu();
        Check_Esp = new javax.swing.JCheckBoxMenuItem();
        Check_Ing = new javax.swing.JCheckBoxMenuItem();
        Habilitar_Mensaje = new javax.swing.JCheckBoxMenuItem();
        Menu_Ayuda = new javax.swing.JMenu();
        Ayuda = new javax.swing.JMenuItem();

        Ataque.setTitle("Modo de Ataque");
        Ataque.setMinimumSize(new java.awt.Dimension(375, 150));
        Ataque.setModal(true);
        Ataque.setResizable(false);

        jLabel1.setText("Seleccione el territorio de origen y destino para iniciar ataque");

        Ini_Ataque.setText("Iniciar Ataque");
        Ini_Ataque.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_AtaqueActionPerformed(evt);
            }
        });

        Can_Ataque.setText("Cancelar Ataque");
        Can_Ataque.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Ataque.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Ataque.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Ataque.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_AtaqueActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout AtaqueLayout = new javax.swing.GroupLayout(Ataque.getContentPane());
        Ataque.getContentPane().setLayout(AtaqueLayout);
        AtaqueLayout.setHorizontalGroup(
            AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(AtaqueLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(AtaqueLayout.createSequentialGroup()
                        .addComponent(Ini_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(Can_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jLabel1))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        AtaqueLayout.setVerticalGroup(
            AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(AtaqueLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel1)
                .addGap(30, 30, 30)
                .addGroup(AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Ubicar_Ejercito.setTitle("Seleccionar Territorio");
        Ubicar_Ejercito.setMinimumSize(new java.awt.Dimension(375, 150));
        Ubicar_Ejercito.setModal(true);
        Ubicar_Ejercito.setResizable(false);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("Seleccione su territorio para ubicar ejercitos");

        Ini_Sele.setText("Iniciar Seleccin");
        Ini_Sele.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Sele.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Sele.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Sele.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_SeleActionPerformed(evt);
            }
        });

        Can_Sele.setText("Cancelar");
        Can_Sele.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Sele.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Sele.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Sele.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_SeleActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Ubicar_EjercitoLayout = new javax.swing.GroupLayout(Ubicar_Ejercito.getContentPane());
        Ubicar_Ejercito.getContentPane().setLayout(Ubicar_EjercitoLayout);
        Ubicar_EjercitoLayout.setHorizontalGroup(
            Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, 293, Short.MAX_VALUE)
                    .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                        .addComponent(Ini_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 33, Short.MAX_VALUE)
                        .addComponent(Can_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        Ubicar_EjercitoLayout.setVerticalGroup(
            Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel2)
                .addGap(30, 30, 30)
                .addGroup(Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Ubicar_Ejercitos2.setTitle("Asignacin de Ejercitos");
        Ubicar_Ejercitos2.setModal(true);
        Ubicar_Ejercitos2.setResizable(false);

        Jugador_Icon.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Jugador_Nom.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jugador_Nom.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Jugador_Nom.setMaximumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom.setMinimumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom.setPreferredSize(new java.awt.Dimension(189, 20));

        jLabel13.setText("Territorio Seleccionado:");

        jText_Terri.setEditable(false);
        jText_Terri.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Terri.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Terri.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Terri.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Terri.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel14.setText("Ejercitos Asignados:");

        jText_Asig.setEditable(false);
        jText_Asig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Asig.setText("0");
        jText_Asig.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Asig.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Asig.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Asig.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel15.setText("Ejercitos a Asignar:");

        Combo_Ejercitos.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10" }));
        Combo_Ejercitos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Combo_EjercitosActionPerformed(evt);
            }
        });

        Ub_Ok.setText("Ok");
        Ub_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_OkActionPerformed(evt);
            }
        });

        Ub_Can.setText("Cancelar");
        Ub_Can.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_CanActionPerformed(evt);
            }
        });

        jLabel16.setText("Ejercitos Disponibles:");

        jText_Disp.setEditable(false);
        jText_Disp.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Disp.setText("0");
        jText_Disp.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Disp.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Disp.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Disp.setPreferredSize(new java.awt.Dimension(206, 20));

        javax.swing.GroupLayout Ubicar_Ejercitos2Layout = new javax.swing.GroupLayout(Ubicar_Ejercitos2.getContentPane());
        Ubicar_Ejercitos2.getContentPane().setLayout(Ubicar_Ejercitos2Layout);
        Ubicar_Ejercitos2Layout.setHorizontalGroup(
            Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addComponent(Jugador_Icon)
                        .addGap(18, 18, 18)
                        .addComponent(Jugador_Nom, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addGap(19, 19, 19)
                        .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(Ub_Can)
                            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                        .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel13)
                                            .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                                .addComponent(Ub_Ok, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addComponent(jLabel15)
                                                .addComponent(jLabel14)))
                                        .addGap(6, 6, 6)
                                        .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jText_Terri, javax.swing.GroupLayout.PREFERRED_SIZE, 206, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addComponent(Combo_Ejercitos, javax.swing.GroupLayout.PREFERRED_SIZE, 125, javax.swing.GroupLayout.PREFERRED_SIZE))
                                            .addComponent(jText_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                        .addComponent(jLabel16)
                                        .addGap(18, 18, 18)
                                        .addComponent(jText_Disp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))))
                .addContainerGap(56, Short.MAX_VALUE))
        );
        Ubicar_Ejercitos2Layout.setVerticalGroup(
            Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(Jugador_Icon))
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addGap(50, 50, 50)
                        .addComponent(Jugador_Nom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(37, 37, 37)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Terri, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel13))
                .addGap(9, 9, 9)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Disp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel16))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel14))
                .addGap(8, 8, 8)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel15)
                    .addComponent(Combo_Ejercitos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ub_Can)
                    .addComponent(Ub_Ok))
                .addContainerGap(40, Short.MAX_VALUE))
        );

        Trasladar_Ejercito.setTitle("Trasladar Ejercitos");
        Trasladar_Ejercito.setMinimumSize(new java.awt.Dimension(400, 150));
        Trasladar_Ejercito.setModal(true);
        Trasladar_Ejercito.setResizable(false);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel3.setText("Seleccione el territorio de origen y destino para trasladar ejercitos");

        Ini_Traslado.setText("Iniciar Traslado");
        Ini_Traslado.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_TrasladoActionPerformed(evt);
            }
        });

        Can_Traslado.setText("Cancelar");
        Can_Traslado.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Traslado.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Traslado.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Traslado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_TrasladoActionPerformed(evt);
            }
        });

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel17.setText("Solo se puede realizar una vez por turno");

        javax.swing.GroupLayout Trasladar_EjercitoLayout = new javax.swing.GroupLayout(Trasladar_Ejercito.getContentPane());
        Trasladar_Ejercito.getContentPane().setLayout(Trasladar_EjercitoLayout);
        Trasladar_EjercitoLayout.setHorizontalGroup(
            Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                        .addComponent(Ini_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 56, Short.MAX_VALUE)
                        .addComponent(Can_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jLabel17, javax.swing.GroupLayout.DEFAULT_SIZE, 316, Short.MAX_VALUE))
                .addContainerGap())
        );
        Trasladar_EjercitoLayout.setVerticalGroup(
            Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel3)
                .addGap(5, 5, 5)
                .addComponent(jLabel17)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Info_Territorio.setTitle("Trasladar Ejercitos");
        Info_Territorio.setMinimumSize(new java.awt.Dimension(400, 150));
        Info_Territorio.setModal(true);
        Info_Territorio.setResizable(false);

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel4.setText("Seleccione el territorio para mostrar su informacin");

        Sel_Territorio.setText("Seleccionar Territorio");
        Sel_Territorio.setMaximumSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.setMinimumSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.setPreferredSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Sel_TerritorioActionPerformed(evt);
            }
        });

        Can_seleccion.setText("Cancelar");
        Can_seleccion.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_seleccion.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_seleccion.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_seleccion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_seleccionActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Info_TerritorioLayout = new javax.swing.GroupLayout(Info_Territorio.getContentPane());
        Info_Territorio.getContentPane().setLayout(Info_TerritorioLayout);
        Info_TerritorioLayout.setHorizontalGroup(
            Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_TerritorioLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE, 316, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Info_TerritorioLayout.createSequentialGroup()
                        .addComponent(Sel_Territorio, javax.swing.GroupLayout.DEFAULT_SIZE, 168, Short.MAX_VALUE)
                        .addGap(18, 18, 18)
                        .addComponent(Can_seleccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        Info_TerritorioLayout.setVerticalGroup(
            Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_TerritorioLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel4)
                .addGap(30, 30, 30)
                .addGroup(Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Can_seleccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Sel_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Info_Territorio2.setTitle("Informacin del territorio");
        Info_Territorio2.setModal(true);
        Info_Territorio2.setResizable(false);

        jLabel18.setText("Territorio Seleccionado:");

        jText_JugPer.setEditable(false);
        jText_JugPer.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_JugPer.setMaximumSize(new java.awt.Dimension(200, 20));
        jText_JugPer.setMinimumSize(new java.awt.Dimension(200, 20));
        jText_JugPer.setPreferredSize(new java.awt.Dimension(200, 20));

        jTextTer_Sel.setEditable(false);
        jTextTer_Sel.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextTer_Sel.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextTer_Sel.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextTer_Sel.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel19.setText("Territorio al que pertenece:");

        jLabel20.setText("Contienente al que pertenece:");

        jTextContinente.setEditable(false);
        jTextContinente.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextContinente.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextContinente.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextContinente.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel21.setText("N de Ejercitos Asignados:");

        jTextEjer_Asig.setEditable(false);
        jTextEjer_Asig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextEjer_Asig.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextEjer_Asig.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextEjer_Asig.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel22.setText("Territorios vecinos:");

        OK_Info2.setText("Ok");
        OK_Info2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OK_Info2ActionPerformed(evt);
            }
        });

        jTabla_Vecino.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null},
                {null},
                {null},
                {null},
                {null},
                {null}
            },
            new String [] {
                "Territorio Vecinos"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane2.setViewportView(jTabla_Vecino);

        jTextNum_Vec.setEditable(false);
        jTextNum_Vec.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextNum_Vec.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextNum_Vec.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextNum_Vec.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel25.setText("Carta Soldado del Territorio:");

        Carta_soldado.setEditable(false);
        Carta_soldado.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Carta_soldado.setMaximumSize(new java.awt.Dimension(200, 20));
        Carta_soldado.setMinimumSize(new java.awt.Dimension(200, 20));
        Carta_soldado.setPreferredSize(new java.awt.Dimension(200, 20));

        javax.swing.GroupLayout Info_Territorio2Layout = new javax.swing.GroupLayout(Info_Territorio2.getContentPane());
        Info_Territorio2.getContentPane().setLayout(Info_Territorio2Layout);
        Info_Territorio2Layout.setHorizontalGroup(
            Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addGap(162, 162, 162)
                        .addComponent(OK_Info2, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel25)
                            .addComponent(jLabel22)
                            .addComponent(jLabel20)
                            .addComponent(jLabel21)
                            .addComponent(jLabel19)
                            .addComponent(jLabel18))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextNum_Vec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                        .addComponent(jTextEjer_Asig, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(Carta_soldado, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                        .addComponent(jText_JugPer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jTextTer_Sel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jTextContinente, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))))
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 383, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(32, 32, 32))
        );
        Info_Territorio2Layout.setVerticalGroup(
            Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(jText_JugPer, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel18)
                    .addComponent(jTextTer_Sel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel20)
                    .addComponent(jTextContinente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(9, 9, 9)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel21)
                    .addComponent(jTextEjer_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel25)
                    .addComponent(Carta_soldado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel22)
                    .addComponent(jTextNum_Vec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(OK_Info2)
                .addContainerGap())
        );

        Nueva_Part.setTitle("Nueva Partida");
        Nueva_Part.setModal(true);
        Nueva_Part.setResizable(false);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Seleccionar el modo de juego", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Grupo_modoJue.add(Modo_1);
        Modo_1.setSelected(true);
        Modo_1.setText("Conquista el mundo");
        Modo_1.setToolTipText("Conquista todos los territorios y ganaras");

        Grupo_modoJue.add(Modo_2);
        Modo_2.setText("Misin Secreta");
        Modo_2.setToolTipText("Completa la misin y ganaras");

        Grupo_modoJue.add(Modo_3);
        Modo_3.setText("Defiende tu territorio");
        Modo_3.setToolTipText("Acaba con tus oponentes y ganaras");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(Modo_1)
                .addGap(18, 18, 18)
                .addComponent(Modo_2)
                .addGap(18, 18, 18)
                .addComponent(Modo_3)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Modo_1)
                    .addComponent(Modo_2)
                    .addComponent(Modo_3))
                .addContainerGap(30, Short.MAX_VALUE))
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Seleccionar el modo de juego", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Grupo_Jugadores.add(jCheckBox1);
        jCheckBox1.setSelected(true);
        jCheckBox1.setText("2 Jugadores");
        jCheckBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox1ActionPerformed(evt);
            }
        });

        Grupo_Jugadores.add(jCheckBox2);
        jCheckBox2.setText("3 Jugadores");
        jCheckBox2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox2ActionPerformed(evt);
            }
        });

        Grupo_Jugadores.add(jCheckBox3);
        jCheckBox3.setText("4 Jugadores");
        jCheckBox3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox3ActionPerformed(evt);
            }
        });

        jText_Jug_1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_1.setText("Jugador 1");
        jText_Jug_1.setSelectionEnd(10);

        jText_Jug_2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_2.setText("Jugador 2");

        jText_Jug_3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_3.setText("Jugador 3");
        jText_Jug_3.setEnabled(false);

        jText_Jug_4.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_4.setText("Jugador 4");
        jText_Jug_4.setEnabled(false);

        Icon_Jug1.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        Icon_Jug1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Icon_Jug2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Meryl_2.png"))); // NOI18N

        Icon_Jug3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Raiden_2.png"))); // NOI18N

        Icon_Jug4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Mantis_2.png"))); // NOI18N

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel5.setText("Jugador 1");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel6.setText("Jugador 2");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel7.setText("Jugador 3");
        jLabel7.setEnabled(false);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel8.setText("Jugador 4");
        jLabel8.setEnabled(false);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jText_Jug_4)
                    .addComponent(jText_Jug_2)
                    .addComponent(jText_Jug_3)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jCheckBox1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox3))
                    .addComponent(jText_Jug_1))
                .addGap(49, 49, 49)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(Icon_Jug3))
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addComponent(jLabel7, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel5, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(Icon_Jug1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                        .addGap(8, 8, 8)
                        .addComponent(jLabel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addComponent(Icon_Jug4, javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 94, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(Icon_Jug2))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(Icon_Jug2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel6)
                        .addGap(12, 12, 12)
                        .addComponent(Icon_Jug4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jCheckBox1)
                                    .addComponent(jCheckBox2)
                                    .addComponent(jCheckBox3))
                                .addGap(31, 31, 31)
                                .addComponent(jText_Jug_1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addComponent(Icon_Jug1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel5)
                                    .addComponent(jText_Jug_2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGap(39, 39, 39)
                                .addComponent(jText_Jug_3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jText_Jug_4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(Icon_Jug3)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel7)))
                .addContainerGap(34, Short.MAX_VALUE))
        );

        Aceptar_partida.setText("Aceptar");
        Aceptar_partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Aceptar_partidaActionPerformed(evt);
            }
        });

        Cancelar_partida.setText("Cancelar");
        Cancelar_partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Cancelar_partidaActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Nueva_PartLayout = new javax.swing.GroupLayout(Nueva_Part.getContentPane());
        Nueva_Part.getContentPane().setLayout(Nueva_PartLayout);
        Nueva_PartLayout.setHorizontalGroup(
            Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addGroup(Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Nueva_PartLayout.createSequentialGroup()
                        .addGap(82, 82, 82)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Nueva_PartLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addGap(67, 67, 67)
                .addComponent(Aceptar_partida)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 286, Short.MAX_VALUE)
                .addComponent(Cancelar_partida)
                .addGap(70, 70, 70))
        );
        Nueva_PartLayout.setVerticalGroup(
            Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addGap(36, 36, 36)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Aceptar_partida)
                    .addComponent(Cancelar_partida))
                .addContainerGap(90, Short.MAX_VALUE))
        );

        Mision_Secreta.setTitle("Estado de la Misin");
        Mision_Secreta.setForeground(java.awt.Color.white);
        Mision_Secreta.setMinimumSize(new java.awt.Dimension(500, 300));
        Mision_Secreta.setModal(true);
        Mision_Secreta.setResizable(false);

        jLabel27.setText("Objetivo de la misin:");

        jLabel28.setText("Misin nmero:");

        jLabel29.setText("Objetivo 1:");

        jLabel30.setText("Objetivo 2:");

        jLabel31.setText("Territorio conquistado del objetivo 1:");

        jLabel32.setText("Territorio conquistado del objetivo 2:");

        Text_Comp_Obj2.setEditable(false);
        Text_Comp_Obj2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_Comp_Obj2.setText("0");

        Text_Comp_Obj1.setEditable(false);
        Text_Comp_Obj1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_Comp_Obj1.setText("0");

        Text_Objetivo2.setEditable(false);
        Text_Objetivo2.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_Objetivo1.setEditable(false);
        Text_Objetivo1.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_Objetivos.setEditable(false);
        Text_Objetivos.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_NumMision.setEditable(false);
        Text_NumMision.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel33.setText("de");

        jLabel34.setText("de");

        Text_NumTerritorio1.setEditable(false);
        Text_NumTerritorio1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_NumTerritorio1.setText("0");

        Text_NumTerritorio2.setEditable(false);
        Text_NumTerritorio2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_NumTerritorio2.setText("0");

        Boton_mision_Ok.setText("Ok");
        Boton_mision_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Boton_mision_OkActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Mision_SecretaLayout = new javax.swing.GroupLayout(Mision_Secreta.getContentPane());
        Mision_Secreta.getContentPane().setLayout(Mision_SecretaLayout);
        Mision_SecretaLayout.setHorizontalGroup(
            Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(Mision_SecretaLayout.createSequentialGroup()
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel31)
                            .addComponent(jLabel30)
                            .addComponent(jLabel29)
                            .addComponent(jLabel27)
                            .addComponent(jLabel28))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                                .addComponent(Text_Comp_Obj1, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
                                .addGap(18, 18, 18)
                                .addComponent(jLabel33)
                                .addGap(18, 18, 18)
                                .addComponent(Text_NumTerritorio1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(130, 130, 130))
                            .addComponent(Text_Objetivos, javax.swing.GroupLayout.DEFAULT_SIZE, 227, Short.MAX_VALUE)
                            .addComponent(Text_Objetivo1)
                            .addComponent(Text_Objetivo2)
                            .addComponent(Text_NumMision, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Mision_SecretaLayout.createSequentialGroup()
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(Boton_mision_Ok)
                            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                                .addComponent(jLabel32)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(Text_Comp_Obj2)))
                        .addGap(18, 18, 18)
                        .addComponent(jLabel34)
                        .addGap(18, 18, 18)
                        .addComponent(Text_NumTerritorio2, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(130, 130, 130)))
                .addContainerGap())
        );
        Mision_SecretaLayout.setVerticalGroup(
            Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                .addGap(51, 51, 51)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel28)
                    .addComponent(Text_NumMision, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel27)
                    .addComponent(Text_Objetivos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel29)
                    .addComponent(Text_Objetivo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel30)
                    .addComponent(Text_Objetivo2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel31)
                    .addComponent(Text_Comp_Obj1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel33)
                    .addComponent(Text_NumTerritorio1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel32)
                    .addComponent(Text_Comp_Obj2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel34)
                    .addComponent(Text_NumTerritorio2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(42, 42, 42)
                .addComponent(Boton_mision_Ok)
                .addContainerGap(24, Short.MAX_VALUE))
        );

        Selecionar_Capital.setTitle("Seleccione el Territorio a Defender");
        Selecionar_Capital.setModal(true);
        Selecionar_Capital.setResizable(false);

        jLabel9.setText("Seleccione el territorio a defender");

        Jugador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jugador.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Jugador.setPreferredSize(new java.awt.Dimension(172, 20));

        Jugador_icon.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Aceptar_capital.setText("Ok");
        Aceptar_capital.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Aceptar_capitalActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Selecionar_CapitalLayout = new javax.swing.GroupLayout(Selecionar_Capital.getContentPane());
        Selecionar_Capital.getContentPane().setLayout(Selecionar_CapitalLayout);
        Selecionar_CapitalLayout.setHorizontalGroup(
            Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                .addGroup(Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                        .addGap(111, 111, 111)
                        .addComponent(jLabel9))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Selecionar_CapitalLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(Jugador, javax.swing.GroupLayout.DEFAULT_SIZE, 172, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(Combo_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, 205, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                        .addGap(157, 157, 157)
                        .addComponent(Jugador_icon)))
                .addContainerGap())
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Selecionar_CapitalLayout.createSequentialGroup()
                .addContainerGap(171, Short.MAX_VALUE)
                .addComponent(Aceptar_capital, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(168, 168, 168))
        );
        Selecionar_CapitalLayout.setVerticalGroup(
            Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel9)
                .addGap(18, 18, 18)
                .addComponent(Jugador_icon)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 29, Short.MAX_VALUE)
                .addGroup(Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Jugador, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Combo_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(Aceptar_capital)
                .addGap(67, 67, 67))
        );

        Mensaje.setModal(true);
        Mensaje.setResizable(false);

        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setLineWrap(true);
        jTextArea1.setRows(5);
        jTextArea1.setWrapStyleWord(true);
        Scroll_Mensaje.setViewportView(jTextArea1);

        Boton_Ok.setText("Ok");
        Boton_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Boton_OkActionPerformed(evt);
            }
        });

        Aviso.setText("No mostrar ms mensajes de aviso");

        javax.swing.GroupLayout MensajeLayout = new javax.swing.GroupLayout(Mensaje.getContentPane());
        Mensaje.getContentPane().setLayout(MensajeLayout);
        MensajeLayout.setHorizontalGroup(
            MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MensajeLayout.createSequentialGroup()
                .addGroup(MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(MensajeLayout.createSequentialGroup()
                        .addGap(172, 172, 172)
                        .addComponent(Boton_Ok))
                    .addGroup(MensajeLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(Aviso)
                            .addComponent(Scroll_Mensaje, javax.swing.GroupLayout.DEFAULT_SIZE, 380, Short.MAX_VALUE))))
                .addContainerGap())
        );
        MensajeLayout.setVerticalGroup(
            MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MensajeLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(Scroll_Mensaje, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(Boton_Ok)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 6, Short.MAX_VALUE)
                .addComponent(Aviso))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Juego Risk");
        setBackground(new java.awt.Color(201, 249, 238));
        setMinimumSize(new java.awt.Dimension(1257, 800));
        setResizable(false);

        Panel_Tablero.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Panel_Tablero.setMaximumSize(new java.awt.Dimension(1227, 628));
        Panel_Tablero.setMinimumSize(new java.awt.Dimension(1227, 628));
        Panel_Tablero.setOpaque(true);
        Panel_Tablero.setPreferredSize(new java.awt.Dimension(1227, 628));

        jLayered_Tablero.setBackground(new java.awt.Color(204, 255, 255));

        fondo2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        fondo2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Risk_Game_Map_2004_Edition.jpg"))); // NOI18N
        fondo2.setBounds(0, 0, 1220, 600);
        jLayered_Tablero.add(fondo2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_1.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_1.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_1.setText("0");
        Ejer_1.setToolTipText("Alaska");
        Ejer_1.setName("1"); // NOI18N
        Ejer_1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_1MouseClicked(evt);
            }
        });
        Ejer_1.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_1MouseMoved(evt);
            }
        });
        Ejer_1.setBounds(90, 40, 30, 30);
        jLayered_Tablero.add(Ejer_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_2.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_2.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_2.setText("0");
        Ejer_2.setToolTipText("Alberta");
        Ejer_2.setName("2"); // NOI18N
        Ejer_2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_2MouseClicked(evt);
            }
        });
        Ejer_2.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_2MouseMoved(evt);
            }
        });
        Ejer_2.setBounds(110, 90, 30, 20);
        jLayered_Tablero.add(Ejer_2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_3.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_3.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_3.setText("0");
        Ejer_3.setToolTipText("Amrica Central");
        Ejer_3.setName("3"); // NOI18N
        Ejer_3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_3MouseClicked(evt);
            }
        });
        Ejer_3.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Informacion_territorio(evt);
            }
        });
        Ejer_3.setBounds(150, 250, 40, 30);
        jLayered_Tablero.add(Ejer_3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_4.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_4.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_4.setText("0");
        Ejer_4.setToolTipText("Estados Unidos del Este");
        Ejer_4.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_4.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_4.setName("4"); // NOI18N
        Ejer_4.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_4MouseClicked(evt);
            }
        });
        Ejer_4.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_4MouseMoved(evt);
            }
        });
        Ejer_4.setBounds(200, 160, 40, 40);
        jLayered_Tablero.add(Ejer_4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_5.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_5.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_5.setText("0");
        Ejer_5.setToolTipText("Groenlandia");
        Ejer_5.setName("5"); // NOI18N
        Ejer_5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_5MouseClicked(evt);
            }
        });
        Ejer_5.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_5MouseMoved(evt);
            }
        });
        Ejer_5.setBounds(450, 10, 30, 30);
        jLayered_Tablero.add(Ejer_5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_6.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_6.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_6.setText("0");
        Ejer_6.setToolTipText("Territorio del Noroeste");
        Ejer_6.setName("6"); // NOI18N
        Ejer_6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_6MouseClicked(evt);
            }
        });
        Ejer_6.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_6MouseMoved(evt);
            }
        });
        Ejer_6.setBounds(140, 50, 30, 30);
        jLayered_Tablero.add(Ejer_6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_7.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_7.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_7.setText("0");
        Ejer_7.setToolTipText("Ontario");
        Ejer_7.setName("7"); // NOI18N
        Ejer_7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_7MouseClicked(evt);
            }
        });
        Ejer_7.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_7MouseMoved(evt);
            }
        });
        Ejer_7.setBounds(210, 80, 30, 30);
        jLayered_Tablero.add(Ejer_7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_8.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_8.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_8.setText("0");
        Ejer_8.setToolTipText("Quebec");
        Ejer_8.setName("8"); // NOI18N
        Ejer_8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_8MouseClicked(evt);
            }
        });
        Ejer_8.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_8MouseMoved(evt);
            }
        });
        Ejer_8.setBounds(310, 80, 30, 20);
        jLayered_Tablero.add(Ejer_8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_9.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_9.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_9.setText("0");
        Ejer_9.setToolTipText("Estados Unidos del Oeste");
        Ejer_9.setName("9"); // NOI18N
        Ejer_9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_9MouseClicked(evt);
            }
        });
        Ejer_9.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_9MouseMoved(evt);
            }
        });
        Ejer_9.setBounds(100, 160, 40, 30);
        jLayered_Tablero.add(Ejer_9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_10.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_10.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_10.setText("0");
        Ejer_10.setToolTipText("Argentina");
        Ejer_10.setName("10"); // NOI18N
        Ejer_10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_10MouseClicked(evt);
            }
        });
        Ejer_10.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_10MouseMoved(evt);
            }
        });
        Ejer_10.setBounds(280, 460, 30, 30);
        jLayered_Tablero.add(Ejer_10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_11.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_11.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_11.setText("0");
        Ejer_11.setToolTipText("Brasil");
        Ejer_11.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_11.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_11.setName("11"); // NOI18N
        Ejer_11.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_11MouseClicked(evt);
            }
        });
        Ejer_11.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_11MouseMoved(evt);
            }
        });
        Ejer_11.setBounds(330, 370, 30, 30);
        jLayered_Tablero.add(Ejer_11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_12.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_12.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_12.setText("0");
        Ejer_12.setToolTipText("Per");
        Ejer_12.setName("12"); // NOI18N
        Ejer_12.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_12MouseClicked(evt);
            }
        });
        Ejer_12.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_12MouseMoved(evt);
            }
        });
        Ejer_12.setBounds(280, 420, 30, 30);
        jLayered_Tablero.add(Ejer_12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_13.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_13.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_13.setText("0");
        Ejer_13.setToolTipText("Venezuela");
        Ejer_13.setName("13"); // NOI18N
        Ejer_13.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_13MouseClicked(evt);
            }
        });
        Ejer_13.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_13MouseMoved(evt);
            }
        });
        Ejer_13.setBounds(240, 320, 30, 30);
        jLayered_Tablero.add(Ejer_13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_14.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_14.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_14.setText("0");
        Ejer_14.setToolTipText("Congo");
        Ejer_14.setName("14"); // NOI18N
        Ejer_14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_14MouseClicked(evt);
            }
        });
        Ejer_14.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_14MouseMoved(evt);
            }
        });
        Ejer_14.setBounds(600, 340, 30, 30);
        jLayered_Tablero.add(Ejer_14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_15.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_15.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_15.setText("0");
        Ejer_15.setToolTipText("frica Oriental");
        Ejer_15.setName("15"); // NOI18N
        Ejer_15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_15MouseClicked(evt);
            }
        });
        Ejer_15.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_15MouseMoved(evt);
            }
        });
        Ejer_15.setBounds(700, 320, 30, 20);
        jLayered_Tablero.add(Ejer_15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_16.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_16.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_16.setText("0");
        Ejer_16.setToolTipText("Egipto");
        Ejer_16.setName("16"); // NOI18N
        Ejer_16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_16MouseClicked(evt);
            }
        });
        Ejer_16.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_16MouseMoved(evt);
            }
        });
        Ejer_16.setBounds(660, 220, 30, 20);
        jLayered_Tablero.add(Ejer_16, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_17.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_17.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_17.setText("0");
        Ejer_17.setToolTipText("Madagascar");
        Ejer_17.setName("17"); // NOI18N
        Ejer_17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_17MouseClicked(evt);
            }
        });
        Ejer_17.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_17MouseMoved(evt);
            }
        });
        Ejer_17.setBounds(730, 460, 30, 20);
        jLayered_Tablero.add(Ejer_17, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_18.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_18.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_18.setText("0");
        Ejer_18.setToolTipText("frica del Norte");
        Ejer_18.setName("18"); // NOI18N
        Ejer_18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_18MouseClicked(evt);
            }
        });
        Ejer_18.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_18MouseMoved(evt);
            }
        });
        Ejer_18.setBounds(530, 230, 30, 20);
        jLayered_Tablero.add(Ejer_18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_19.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_19.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_19.setText("0");
        Ejer_19.setToolTipText("Sudfrica");
        Ejer_19.setName("19"); // NOI18N
        Ejer_19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_19MouseClicked(evt);
            }
        });
        Ejer_19.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_19MouseMoved(evt);
            }
        });
        Ejer_19.setBounds(630, 410, 30, 20);
        jLayered_Tablero.add(Ejer_19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_20.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_20.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_20.setText("0");
        Ejer_20.setToolTipText("Afghanistan");
        Ejer_20.setName("20"); // NOI18N
        Ejer_20.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_20MouseClicked(evt);
            }
        });
        Ejer_20.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_20MouseMoved(evt);
            }
        });
        Ejer_20.setBounds(790, 150, 30, 20);
        jLayered_Tablero.add(Ejer_20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_21.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_21.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_21.setText("0");
        Ejer_21.setToolTipText("China");
        Ejer_21.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_21.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_21.setName("21"); // NOI18N
        Ejer_21.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_21MouseClicked(evt);
            }
        });
        Ejer_21.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_21MouseMoved(evt);
            }
        });
        Ejer_21.setBounds(900, 180, 30, 30);
        jLayered_Tablero.add(Ejer_21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_22.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_22.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_22.setText("0");
        Ejer_22.setToolTipText("India");
        Ejer_22.setName("22"); // NOI18N
        Ejer_22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_22MouseClicked(evt);
            }
        });
        Ejer_22.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_22MouseMoved(evt);
            }
        });
        Ejer_22.setBounds(850, 210, 30, 20);
        jLayered_Tablero.add(Ejer_22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_23.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_23.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_23.setText("0");
        Ejer_23.setToolTipText("Irkutsk");
        Ejer_23.setName("23"); // NOI18N
        Ejer_23.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_23MouseClicked(evt);
            }
        });
        Ejer_23.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_23MouseMoved(evt);
            }
        });
        Ejer_23.setBounds(900, 90, 30, 20);
        jLayered_Tablero.add(Ejer_23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_24.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_24.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_24.setText("0");
        Ejer_24.setToolTipText("Japn");
        Ejer_24.setName("24"); // NOI18N
        Ejer_24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_24MouseClicked(evt);
            }
        });
        Ejer_24.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_24MouseMoved(evt);
            }
        });
        Ejer_24.setBounds(1100, 160, 30, 20);
        jLayered_Tablero.add(Ejer_24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_25.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_25.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_25.setText("0");
        Ejer_25.setToolTipText("Kamchatka");
        Ejer_25.setName("25"); // NOI18N
        Ejer_25.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_25MouseClicked(evt);
            }
        });
        Ejer_25.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_25MouseMoved(evt);
            }
        });
        Ejer_25.setBounds(1070, 40, 30, 20);
        jLayered_Tablero.add(Ejer_25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_26.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_26.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_26.setText("0");
        Ejer_26.setToolTipText("Oriente Medio");
        Ejer_26.setName("26"); // NOI18N
        Ejer_26.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_26MouseClicked(evt);
            }
        });
        Ejer_26.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_26MouseMoved(evt);
            }
        });
        Ejer_26.setBounds(710, 180, 30, 20);
        jLayered_Tablero.add(Ejer_26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_27.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_27.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_27.setText("0");
        Ejer_27.setToolTipText("Gran Bretaa");
        Ejer_27.setName("27"); // NOI18N
        Ejer_27.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_27MouseClicked(evt);
            }
        });
        Ejer_27.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_27MouseMoved(evt);
            }
        });
        Ejer_27.setBounds(500, 90, 30, 17);
        jLayered_Tablero.add(Ejer_27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_28.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_28.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_28.setText("0");
        Ejer_28.setToolTipText("Iceland");
        Ejer_28.setName("28"); // NOI18N
        Ejer_28.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_28MouseClicked(evt);
            }
        });
        Ejer_28.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_28MouseMoved(evt);
            }
        });
        Ejer_28.setBounds(470, 50, 30, 17);
        jLayered_Tablero.add(Ejer_28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_29.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_29.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_29.setText("0");
        Ejer_29.setToolTipText("Europa del Norte");
        Ejer_29.setName("29"); // NOI18N
        Ejer_29.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_29MouseClicked(evt);
            }
        });
        Ejer_29.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_29MouseMoved(evt);
            }
        });
        Ejer_29.setBounds(580, 110, 30, 17);
        jLayered_Tablero.add(Ejer_29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_30.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_30.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_30.setText("0");
        Ejer_30.setToolTipText("Escandinavia");
        Ejer_30.setName("30"); // NOI18N
        Ejer_30.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_30MouseClicked(evt);
            }
        });
        Ejer_30.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_30MouseMoved(evt);
            }
        });
        Ejer_30.setBounds(590, 70, 30, 17);
        jLayered_Tablero.add(Ejer_30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_31.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_31.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_31.setText("0");
        Ejer_31.setToolTipText("Europa del Sur");
        Ejer_31.setName("31"); // NOI18N
        Ejer_31.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_31MouseClicked(evt);
            }
        });
        Ejer_31.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_31MouseMoved(evt);
            }
        });
        Ejer_31.setBounds(630, 150, 30, 17);
        jLayered_Tablero.add(Ejer_31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_32.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_32.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_32.setText("0");
        Ejer_32.setToolTipText("Ucrania");
        Ejer_32.setName("32"); // NOI18N
        Ejer_32.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_32MouseClicked(evt);
            }
        });
        Ejer_32.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_32MouseMoved(evt);
            }
        });
        Ejer_32.setBounds(690, 110, 30, 17);
        jLayered_Tablero.add(Ejer_32, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_33.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_33.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_33.setText("0");
        Ejer_33.setToolTipText("Europa Occidental");
        Ejer_33.setName("33"); // NOI18N
        Ejer_33.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_33MouseClicked(evt);
            }
        });
        Ejer_33.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_33MouseMoved(evt);
            }
        });
        Ejer_33.setBounds(520, 160, 30, 20);
        jLayered_Tablero.add(Ejer_33, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_34.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_34.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_34.setText("0");
        Ejer_34.setToolTipText("Mongolia");
        Ejer_34.setName("34"); // NOI18N
        Ejer_34.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_34MouseClicked(evt);
            }
        });
        Ejer_34.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_34MouseMoved(evt);
            }
        });
        Ejer_34.setBounds(910, 130, 30, 17);
        jLayered_Tablero.add(Ejer_34, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_35.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_35.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_35.setText("0");
        Ejer_35.setToolTipText("Siam");
        Ejer_35.setName("35"); // NOI18N
        Ejer_35.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_35MouseClicked(evt);
            }
        });
        Ejer_35.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_35MouseMoved(evt);
            }
        });
        Ejer_35.setBounds(940, 250, 30, 17);
        jLayered_Tablero.add(Ejer_35, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_36.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_36.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_36.setText("0");
        Ejer_36.setToolTipText("Siberia");
        Ejer_36.setName("36"); // NOI18N
        Ejer_36.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_36MouseClicked(evt);
            }
        });
        Ejer_36.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_36MouseMoved(evt);
            }
        });
        Ejer_36.setBounds(860, 70, 30, 17);
        jLayered_Tablero.add(Ejer_36, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_37.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_37.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_37.setText("0");
        Ejer_37.setToolTipText("Ural");
        Ejer_37.setName("37"); // NOI18N
        Ejer_37.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_37MouseClicked(evt);
            }
        });
        Ejer_37.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_37MouseMoved(evt);
            }
        });
        Ejer_37.setBounds(760, 70, 30, 17);
        jLayered_Tablero.add(Ejer_37, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_38.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_38.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_38.setText("0");
        Ejer_38.setToolTipText("Yakutsk");
        Ejer_38.setName("38"); // NOI18N
        Ejer_38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_38MouseClicked(evt);
            }
        });
        Ejer_38.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_38MouseMoved(evt);
            }
        });
        Ejer_38.setBounds(920, 50, 30, 17);
        jLayered_Tablero.add(Ejer_38, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_39.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_39.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_39.setText("0");
        Ejer_39.setToolTipText("Australia Oriental");
        Ejer_39.setName("39"); // NOI18N
        Ejer_39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_39MouseClicked(evt);
            }
        });
        Ejer_39.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_39MouseMoved(evt);
            }
        });
        Ejer_39.setBounds(1130, 470, 30, 30);
        jLayered_Tablero.add(Ejer_39, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_40.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_40.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_40.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_40.setText("0");
        Ejer_40.setToolTipText("Indonesia");
        Ejer_40.setName("40"); // NOI18N
        Ejer_40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_40MouseClicked(evt);
            }
        });
        Ejer_40.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_40MouseMoved(evt);
            }
        });
        Ejer_40.setBounds(1020, 330, 30, 30);
        jLayered_Tablero.add(Ejer_40, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_41.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_41.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_41.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_41.setText("0");
        Ejer_41.setToolTipText("Nueva Guinea");
        Ejer_41.setName("41"); // NOI18N
        Ejer_41.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_41MouseClicked(evt);
            }
        });
        Ejer_41.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_41MouseMoved(evt);
            }
        });
        Ejer_41.setBounds(1170, 370, 30, 30);
        jLayered_Tablero.add(Ejer_41, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_42.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_42.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_42.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_42.setText("0");
        Ejer_42.setToolTipText("Australia Occidental");
        Ejer_42.setName("42"); // NOI18N
        Ejer_42.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_42MouseClicked(evt);
            }
        });
        Ejer_42.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_42MouseMoved(evt);
            }
        });
        Ejer_42.setBounds(1080, 470, 30, 30);
        jLayered_Tablero.add(Ejer_42, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_1.setBounds(50, 30, 50, 50);
        jLayered_Tablero.add(Marca_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_2.setBounds(140, 80, 50, 50);
        jLayered_Tablero.add(Marca_2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_3.setBounds(190, 240, 50, 50);
        jLayered_Tablero.add(Marca_3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_4.setBounds(230, 140, 50, 60);
        jLayered_Tablero.add(Marca_4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_5.setBounds(410, 20, 40, 40);
        jLayered_Tablero.add(Marca_5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_6.setBounds(190, 30, 50, 50);
        jLayered_Tablero.add(Marca_6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_7.setBounds(230, 90, 50, 50);
        jLayered_Tablero.add(Marca_7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_8.setBounds(280, 90, 40, 40);
        jLayered_Tablero.add(Marca_8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_9.setBounds(120, 130, 60, 60);
        jLayered_Tablero.add(Marca_9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_10.setBounds(270, 500, 50, 50);
        jLayered_Tablero.add(Marca_10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_11.setBounds(330, 410, 40, 40);
        jLayered_Tablero.add(Marca_11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_12.setBounds(230, 380, 50, 50);
        jLayered_Tablero.add(Marca_12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_13.setBounds(260, 290, 50, 50);
        jLayered_Tablero.add(Marca_13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_14.setBounds(640, 330, 40, 50);
        jLayered_Tablero.add(Marca_14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_15.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_15.setBounds(660, 260, 40, 50);
        jLayered_Tablero.add(Marca_15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_16.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_16.setBounds(600, 200, 40, 50);
        jLayered_Tablero.add(Marca_16, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_17.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_17.setBounds(740, 400, 50, 50);
        jLayered_Tablero.add(Marca_17, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_18.setBounds(530, 270, 40, 50);
        jLayered_Tablero.add(Marca_18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_19.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_19.setBounds(630, 440, 40, 50);
        jLayered_Tablero.add(Marca_19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_20.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_20.setBounds(780, 100, 40, 50);
        jLayered_Tablero.add(Marca_20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_21.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_21.setBounds(960, 170, 50, 60);
        jLayered_Tablero.add(Marca_21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_22.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_22.setBounds(850, 250, 50, 50);
        jLayered_Tablero.add(Marca_22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_23.setBounds(930, 80, 50, 50);
        jLayered_Tablero.add(Marca_23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_24.setBounds(1100, 180, 50, 50);
        jLayered_Tablero.add(Marca_24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_25.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_25.setBounds(1060, 60, 50, 50);
        jLayered_Tablero.add(Marca_25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_26.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_26.setBounds(710, 210, 50, 50);
        jLayered_Tablero.add(Marca_26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_27.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_27.setBounds(520, 80, 50, 50);
        jLayered_Tablero.add(Marca_27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_28.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_28.setBounds(510, 30, 50, 50);
        jLayered_Tablero.add(Marca_28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_29.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_29.setBounds(600, 90, 50, 50);
        jLayered_Tablero.add(Marca_29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_30.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_30.setBounds(610, 30, 50, 50);
        jLayered_Tablero.add(Marca_30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_31.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_31.setBounds(590, 140, 50, 50);
        jLayered_Tablero.add(Marca_31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_32.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_32.setBounds(690, 50, 50, 50);
        jLayered_Tablero.add(Marca_32, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_33.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_33.setBounds(540, 120, 50, 50);
        jLayered_Tablero.add(Marca_33, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_34.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_34.setBounds(990, 110, 50, 50);
        jLayered_Tablero.add(Marca_34, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_35.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_35.setBounds(960, 280, 50, 50);
        jLayered_Tablero.add(Marca_35, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_36.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_36.setBounds(850, 10, 50, 50);
        jLayered_Tablero.add(Marca_36, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_37.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_37.setBounds(810, 60, 40, 50);
        jLayered_Tablero.add(Marca_37, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_38.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_38.setBounds(980, 30, 50, 50);
        jLayered_Tablero.add(Marca_38, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_39.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_39.setBounds(1130, 420, 50, 50);
        jLayered_Tablero.add(Marca_39, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_40.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_40.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_40.setBounds(970, 350, 50, 50);
        jLayered_Tablero.add(Marca_40, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_41.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_41.setBounds(1110, 350, 50, 50);
        jLayered_Tablero.add(Marca_41, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_42.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_42.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_42.setBounds(1010, 440, 50, 50);
        jLayered_Tablero.add(Marca_42, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Nom_jug.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Nom_jug.setText("Jugador 1");
        Nom_jug.setBounds(10, 380, 200, 20);
        jLayered_Tablero.add(Nom_jug, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Jug_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake.png"))); // NOI18N
        Jug_1.setMaximumSize(new java.awt.Dimension(182, 188));
        Jug_1.setMinimumSize(new java.awt.Dimension(182, 188));
        Jug_1.setPreferredSize(new java.awt.Dimension(182, 188));
        Jug_1.setBounds(0, 400, 190, 200);
        jLayered_Tablero.add(Jug_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Modo_JuegoSel.setFont(new java.awt.Font("Tahoma", 1, 14));
        Modo_JuegoSel.setForeground(new java.awt.Color(255, 0, 0));
        Modo_JuegoSel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Modo_JuegoSel.setBounds(430, 560, 410, 30);
        jLayered_Tablero.add(Modo_JuegoSel, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Territorio_def.setFont(new java.awt.Font("Tahoma", 1, 14));
        Territorio_def.setForeground(new java.awt.Color(0, 0, 255));
        Territorio_def.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Territorio_def.setBounds(430, 520, 410, 30);
        jLayered_Tablero.add(Territorio_def, javax.swing.JLayeredPane.DEFAULT_LAYER);

        fondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Risk_Game_Map_2004_Edition.jpg"))); // NOI18N
        fondo.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                fondoMouseMoved(evt);
            }
        });
        fondo.setBounds(0, 0, 1220, 600);
        jLayered_Tablero.add(fondo, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Panel_Tablero.addTab("Tablero", jLayered_Tablero);

        Cartas_Territorios.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null}
            },
            new String [] {
                "Nmero", "Territorio", "Continente", "Carta Soldado", "Estado"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane1.setViewportView(Cartas_Territorios);

        jLayeredPane1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        Soldado_Elite.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Soldado_Elite.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Soldado_Elite.png"))); // NOI18N
        Soldado_Elite.setBounds(40, 10, 130, 190);
        jLayeredPane1.add(Soldado_Elite, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel23.setText("Soldado Elite");
        jLabel23.setBounds(40, 200, 121, 14);
        jLayeredPane1.add(jLabel23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel24.setText("Guerrera");
        jLabel24.setBounds(260, 200, 110, 14);
        jLayeredPane1.add(jLabel24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Guerrera.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Guerrera.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera.png"))); // NOI18N
        Guerrera.setBounds(260, 0, 160, 200);
        jLayeredPane1.add(Guerrera, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel26.setText("Espartano");
        jLabel26.setBounds(490, 200, 111, 14);
        jLayeredPane1.add(jLabel26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Espartano.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Espartano.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Espartano.png"))); // NOI18N
        Espartano.setBounds(490, 0, 120, 200);
        jLayeredPane1.add(Espartano, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator5.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator5.setBounds(450, 0, 25, 231);
        jLayeredPane1.add(jSeparator5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator6.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator6.setBounds(210, 0, 25, 231);
        jLayeredPane1.add(jSeparator6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        javax.swing.GroupLayout jPanel_CartasLayout = new javax.swing.GroupLayout(jPanel_Cartas);
        jPanel_Cartas.setLayout(jPanel_CartasLayout);
        jPanel_CartasLayout.setHorizontalGroup(
            jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_CartasLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jLayeredPane1, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 682, Short.MAX_VALUE))
                .addContainerGap(526, Short.MAX_VALUE))
        );
        jPanel_CartasLayout.setVerticalGroup(
            jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel_CartasLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLayeredPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 231, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 342, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        Panel_Tablero.addTab("Cartas de los Territorios", jPanel_Cartas);

        Panel_Botones.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel10.setText("N Ejercitos Asignados:");
        jLabel10.setBounds(15, 20, 160, 14);
        Panel_Botones.add(jLabel10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Text_EjerSinAsig.setEditable(false);
        Text_EjerSinAsig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_EjerSinAsig.setText("0");
        Text_EjerSinAsig.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setBounds(155, 50, 30, 20);
        Panel_Botones.add(Text_EjerSinAsig, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Text_TerriOcu.setEditable(false);
        Text_TerriOcu.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_TerriOcu.setText("0");
        Text_TerriOcu.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setBounds(155, 80, 30, 20);
        Panel_Botones.add(Text_TerriOcu, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Text_EjerAsig.setEditable(false);
        Text_EjerAsig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_EjerAsig.setText("0");
        Text_EjerAsig.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setBounds(155, 20, 30, 20);
        Panel_Botones.add(Text_EjerAsig, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel11.setText("N Ejercitos Sin Asignar:");
        jLabel11.setBounds(15, 45, 140, 30);
        Panel_Botones.add(jLabel11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel12.setText("Territorios Ocupados:");
        jLabel12.setBounds(15, 82, 130, 14);
        Panel_Botones.add(jLabel12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator3.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator3.setBounds(700, 0, 18, 120);
        Panel_Botones.add(jSeparator3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Atacar_Ter.setText("Atacar Territorio");
        Atacar_Ter.setToolTipText("Inicia el Ataque");
        Atacar_Ter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Atacar_TerActionPerformed(evt);
            }
        });
        Atacar_Ter.setBounds(720, 10, 130, 23);
        Panel_Botones.add(Atacar_Ter, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Trasladar_Ejer.setText("Trasladar Ejercitos");
        Trasladar_Ejer.setToolTipText("Traslada Ejercitos");
        Trasladar_Ejer.setMaximumSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.setMinimumSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.setPreferredSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Trasladar_EjerActionPerformed(evt);
            }
        });
        Trasladar_Ejer.setBounds(870, 10, 180, 23);
        Panel_Botones.add(Trasladar_Ejer, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Info_Ter.setText("Informacin Territorio");
        Info_Ter.setToolTipText("Muestra informacin del territorio seleccionado");
        Info_Ter.setMaximumSize(new java.awt.Dimension(180, 23));
        Info_Ter.setMinimumSize(new java.awt.Dimension(180, 23));
        Info_Ter.setPreferredSize(new java.awt.Dimension(180, 23));
        Info_Ter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Info_TerActionPerformed(evt);
            }
        });
        Info_Ter.setBounds(780, 50, 180, 23);
        Panel_Botones.add(Info_Ter, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ubicar_Ejer.setText("Ubicar Ejercitos");
        Ubicar_Ejer.setToolTipText("Asigna Ejercitos");
        Ubicar_Ejer.setMaximumSize(new java.awt.Dimension(111, 23));
        Ubicar_Ejer.setMinimumSize(new java.awt.Dimension(111, 23));
        Ubicar_Ejer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ubicar_EjerActionPerformed(evt);
            }
        });
        Ubicar_Ejer.setBounds(720, 90, 130, 23);
        Panel_Botones.add(Ubicar_Ejer, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Mision_Sec.setText("Misin Secreta");
        Mision_Sec.setToolTipText("Muestra la Misin Secreta");
        Mision_Sec.setEnabled(false);
        Mision_Sec.setMaximumSize(new java.awt.Dimension(180, 23));
        Mision_Sec.setMinimumSize(new java.awt.Dimension(180, 23));
        Mision_Sec.setPreferredSize(new java.awt.Dimension(180, 23));
        Mision_Sec.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Mision_SecActionPerformed(evt);
            }
        });
        Mision_Sec.setBounds(870, 90, 180, 23);
        Panel_Botones.add(Mision_Sec, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Terminar_Turno.setText("Terminar Turno");
        Terminar_Turno.setToolTipText("Finaliza el turno del Jugador");
        Terminar_Turno.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Terminar_TurnoActionPerformed(evt);
            }
        });
        Terminar_Turno.setBounds(1060, 50, 140, 23);
        Panel_Botones.add(Terminar_Turno, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator4.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator4.setBounds(200, 0, 20, 120);
        Panel_Botones.add(jSeparator4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Territorios Seleccionados", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Sel_Origen.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Sel_Origen.setMaximumSize(new java.awt.Dimension(185, 14));
        Sel_Origen.setMinimumSize(new java.awt.Dimension(185, 14));
        Sel_Origen.setPreferredSize(new java.awt.Dimension(185, 20));

        Sel_Destino.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Sel_Destino.setMaximumSize(new java.awt.Dimension(185, 20));
        Sel_Destino.setMinimumSize(new java.awt.Dimension(185, 20));
        Sel_Destino.setPreferredSize(new java.awt.Dimension(185, 20));

        jText_Ori.setEditable(false);
        jText_Ori.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Ori.setBorder(null);
        jText_Ori.setMaximumSize(new java.awt.Dimension(185, 20));
        jText_Ori.setMinimumSize(new java.awt.Dimension(185, 20));
        jText_Ori.setPreferredSize(new java.awt.Dimension(185, 20));

        jText_Des.setEditable(false);
        jText_Des.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Des.setBorder(null);
        jText_Des.setMaximumSize(new java.awt.Dimension(185, 20));
        jText_Des.setMinimumSize(new java.awt.Dimension(185, 20));
        jText_Des.setPreferredSize(new java.awt.Dimension(185, 20));

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jText_Ori, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(Sel_Origen, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 74, Short.MAX_VALUE)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Sel_Destino, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jText_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Sel_Origen, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Sel_Destino, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Ori, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jText_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(19, Short.MAX_VALUE))
        );

        jPanel3.setBounds(210, 10, 480, 100);
        Panel_Botones.add(jPanel3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Menu_Jugar.setText("Jugar");

        Item_Nueva_Partida.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_MASK));
        Item_Nueva_Partida.setText("Nueva Partida");
        Item_Nueva_Partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_Nueva_PartidaActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Nueva_Partida);

        Item_Continuar.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_C, java.awt.event.InputEvent.CTRL_MASK));
        Item_Continuar.setText("Continuar Partida");
        Menu_Jugar.add(Item_Continuar);
        Menu_Jugar.add(jSeparator1);

        Item_Guardar.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_G, java.awt.event.InputEvent.CTRL_MASK));
        Item_Guardar.setText("Guardar Partida");
        Menu_Jugar.add(Item_Guardar);
        Menu_Jugar.add(jSeparator2);

        Item_Salir.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_S, java.awt.event.InputEvent.CTRL_MASK));
        Item_Salir.setText("Salir");
        Item_Salir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_SalirActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Salir);

        Menu_Principal.add(Menu_Jugar);

        Menu_Idioma.setText("Configuracin");

        Idiomas.setText("Seleccin de Idiomas");

        Check_Esp.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_E, java.awt.event.InputEvent.CTRL_MASK));
        Grupo_boton.add(Check_Esp);
        Check_Esp.setSelected(true);
        Check_Esp.setText("Espaol");
        Idiomas.add(Check_Esp);

        Check_Ing.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_I, java.awt.event.InputEvent.CTRL_MASK));
        Grupo_boton.add(Check_Ing);
        Check_Ing.setText("Ingles");
        Idiomas.add(Check_Ing);

        Menu_Idioma.add(Idiomas);

        Habilitar_Mensaje.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_M, java.awt.event.InputEvent.CTRL_MASK));
        Habilitar_Mensaje.setSelected(true);
        Habilitar_Mensaje.setText("Habilitar Mensajes");
        Habilitar_Mensaje.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Habilitar_MensajeActionPerformed(evt);
            }
        });
        Menu_Idioma.add(Habilitar_Mensaje);

        Menu_Principal.add(Menu_Idioma);

        Menu_Ayuda.setText("Ayuda");

        Ayuda.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_H, java.awt.event.InputEvent.CTRL_MASK));
        Ayuda.setText("Ayuda sobre como jugar");
        Menu_Ayuda.add(Ayuda);

        Menu_Principal.add(Menu_Ayuda);

        setJMenuBar(Menu_Principal);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Panel_Tablero, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Panel_Botones, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 1227, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(Panel_Tablero, javax.swing.GroupLayout.PREFERRED_SIZE, 633, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Panel_Botones, javax.swing.GroupLayout.PREFERRED_SIZE, 122, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(7, 7, 7))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void Item_Nueva_PartidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_Nueva_PartidaActionPerformed
// TODO add your handling code here:
    Icon_Jug3.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    Nueva_Part.setLocation(350, 100);
    Nueva_Part.setSize(605, 600);
    Nueva_Part.setVisible(true);
}//GEN-LAST:event_Item_Nueva_PartidaActionPerformed

private void Informacion_territorio(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Informacion_territorio
// TODO add your handling code here:
    Ejer_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Informacion_territorio

private void Ejer_3MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_3MouseClicked
// TODO add your handling code here:
    //Pulsado(jLabel1.getText());
    Pulsado(Ejer_3.getName());
}//GEN-LAST:event_Ejer_3MouseClicked

private void Ejer_11MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_11MouseMoved
// TODO add your handling code here:
    Ejer_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_11MouseMoved

private void Ejer_21MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_21MouseMoved
// TODO add your handling code here:
    Ejer_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_21MouseMoved

private void Item_SalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_SalirActionPerformed
// TODO add your handling code here:
    dispose();
}//GEN-LAST:event_Item_SalirActionPerformed

private void fondoMouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_fondoMouseMoved
// TODO add your handling code here:
    
       
    //America del Norte--------------------------------------------------------------------------   
    Ejer_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    //America del Norte--------------------------------------------------------------------------
    
    //America del Sur----------------------------------------------------------------------------
    Ejer_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //America del Sur----------------------------------------------------------------------------
    
    //Africa-------------------------------------------------------------------------------------
    Ejer_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Africa-------------------------------------------------------------------------------------

    //Asia---------------------------------------------------------------------------------------
    Ejer_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Asia----------------------------------------------------------------------------------------
    
    //Europa-------------------------------------------------------------------------------------
    Ejer_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Europa-------------------------------------------------------------------------------------
    
    //Australia----------------------------------------------------------------------------------
    Ejer_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Australia----------------------------------------------------------------------------------
    
}//GEN-LAST:event_fondoMouseMoved

private void Ejer_9MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_9MouseMoved
// TODO add your handling code here:
    Ejer_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_9MouseMoved

private void Ejer_4MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_4MouseMoved
// TODO add your handling code here:
    Ejer_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_4MouseMoved

private void Ejer_33MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_33MouseMoved
// TODO add your handling code here:
    Ejer_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_33MouseMoved

private void Ejer_9MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_9MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_9.getName());
}//GEN-LAST:event_Ejer_9MouseClicked

private void Ejer_4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_4MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_4.getName());
}//GEN-LAST:event_Ejer_4MouseClicked

private void Ejer_11MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_11MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_11.getName());
}//GEN-LAST:event_Ejer_11MouseClicked

private void Ejer_33MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_33MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_33.getName());
}//GEN-LAST:event_Ejer_33MouseClicked

private void Ejer_21MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_21MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_21.getName());
}//GEN-LAST:event_Ejer_21MouseClicked

private void Terminar_TurnoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Terminar_TurnoActionPerformed
// TODO add your handling code here:
/*    
    turno++;
    
    if (turno >= num_jug){
        turno= 0;
        Nom_jug.setText(this.jugadores[turno].getNombre_jug());        
        Jug_1.setVisible(true);
        Jug_2.setVisible(false);
        Jug_3.setVisible(false);
        Jug_4.setVisible(false);
        
    }

    if (turno == 1){
        Nom_jug.setText(this.jugadores[turno].getNombre_jug());                
        Jug_1.setVisible(false);
        Jug_2.setVisible(true);
        Jug_3.setVisible(false);
        Jug_4.setVisible(false);
    }
    if (turno == 2){
        Nom_jug.setText(this.jugadores[turno].getNombre_jug());                
        Jug_1.setVisible(false);
        Jug_2.setVisible(false);
        Jug_3.setVisible(true);
        Jug_4.setVisible(false);
    }
    if (turno == 3){
        Nom_jug.setText(this.jugadores[turno].getNombre_jug());                
        Jug_1.setVisible(false);
        Jug_2.setVisible(false);
        Jug_3.setVisible(false);
        Jug_4.setVisible(true);
    }
    
    Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
    if (this.modo_juego == 3)
        Territorio_def.setText("Territorio a Defender: "+this.jugadores[turno].getTerr_defender());
*/    
    this.juego.turno(this.jugadores[turno]);
}//GEN-LAST:event_Terminar_TurnoActionPerformed

private void Ejer_1MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_1MouseMoved
// TODO add your handling code here:
    Ejer_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_1MouseMoved

private void Ejer_1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_1MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_1.getName());
}//GEN-LAST:event_Ejer_1MouseClicked

private void Can_AtaqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_AtaqueActionPerformed
// TODO add your handling code here:
    Ataque.setVisible(false);
}//GEN-LAST:event_Can_AtaqueActionPerformed

private void Atacar_TerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Atacar_TerActionPerformed
// TODO add your handling code here:
    Ataque.setLocation(500, 300);
    Ataque.setVisible(true);
}//GEN-LAST:event_Atacar_TerActionPerformed

private void Can_SeleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_SeleActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercito.setVisible(false);
}//GEN-LAST:event_Can_SeleActionPerformed

private void Ini_SeleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_SeleActionPerformed
// TODO add your handling code here:
    this.op= 4;
    Ubicar_Ejercito.setVisible(false);
}//GEN-LAST:event_Ini_SeleActionPerformed

private void Ubicar_EjerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ubicar_EjerActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercito.setLocation(500, 300);
    Ubicar_Ejercito.setVisible(true);
}//GEN-LAST:event_Ubicar_EjerActionPerformed

private void Ini_TrasladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_TrasladoActionPerformed
// TODO add your handling code here:
    this.op= 2;
    Trasladar_Ejercito.setVisible(false);
}//GEN-LAST:event_Ini_TrasladoActionPerformed

private void Can_TrasladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_TrasladoActionPerformed
// TODO add your handling code here:
    Trasladar_Ejercito.setVisible(false);
}//GEN-LAST:event_Can_TrasladoActionPerformed

private void Trasladar_EjerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Trasladar_EjerActionPerformed
// TODO add your handling code here:
    Trasladar_Ejercito.setLocation(500, 300);
    Trasladar_Ejercito.setVisible(true);
}//GEN-LAST:event_Trasladar_EjerActionPerformed

private void Ejer_6MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_6MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_6.getName());
}//GEN-LAST:event_Ejer_6MouseClicked

private void Ejer_6MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_6MouseMoved
// TODO add your handling code here:
    Ejer_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_6MouseMoved

private void Ejer_2MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_2MouseMoved
// TODO add your handling code here:
    Ejer_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_2MouseMoved

private void Ejer_2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_2MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_2.getName());
}//GEN-LAST:event_Ejer_2MouseClicked

private void Ejer_7MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_7MouseMoved
// TODO add your handling code here:
    Ejer_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_7MouseMoved

private void Ejer_7MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_7MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_7.getName());
}//GEN-LAST:event_Ejer_7MouseClicked

private void Ejer_8MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_8MouseMoved
// TODO add your handling code here:
    Ejer_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_8MouseMoved

private void Ejer_8MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_8MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_8.getName());
}//GEN-LAST:event_Ejer_8MouseClicked

private void Ejer_5MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_5MouseMoved
// TODO add your handling code here:
    Ejer_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_5MouseMoved

private void Ejer_5MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_5MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_5.getName());
}//GEN-LAST:event_Ejer_5MouseClicked

private void Ejer_10MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_10MouseMoved
// TODO add your handling code here:
    Ejer_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_10MouseMoved

private void Ejer_10MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_10MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_10.getName());
}//GEN-LAST:event_Ejer_10MouseClicked

private void Ejer_12MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_12MouseMoved
// TODO add your handling code here:
    Ejer_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_12MouseMoved

private void Ejer_12MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_12MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_12.getName());
}//GEN-LAST:event_Ejer_12MouseClicked

private void Ejer_13MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_13MouseMoved
// TODO add your handling code here:
    Ejer_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_13MouseMoved

private void Ejer_13MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_13MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_13.getName());
}//GEN-LAST:event_Ejer_13MouseClicked

private void Ejer_14MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_14MouseMoved
// TODO add your handling code here:
    Ejer_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_14MouseMoved

private void Ejer_14MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_14MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_14.getName());    
}//GEN-LAST:event_Ejer_14MouseClicked

private void Ejer_39MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_39MouseMoved
// TODO add your handling code here:
    Ejer_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_39MouseMoved

private void Ejer_39MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_39MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_39.getName());    
}//GEN-LAST:event_Ejer_39MouseClicked

private void Ejer_42MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_42MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_42.getName());    
}//GEN-LAST:event_Ejer_42MouseClicked

private void Ejer_42MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_42MouseMoved
// TODO add your handling code here:
    Ejer_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_42MouseMoved

private void Ejer_41MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_41MouseMoved
// TODO add your handling code here:
    Ejer_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_41MouseMoved

private void Ejer_41MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_41MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_41.getName());    
}//GEN-LAST:event_Ejer_41MouseClicked

private void Ejer_40MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_40MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_40.getName());    
}//GEN-LAST:event_Ejer_40MouseClicked

private void Ejer_40MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_40MouseMoved
// TODO add your handling code here:
    Ejer_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_40MouseMoved

private void Ejer_15MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_15MouseMoved
// TODO add your handling code here:
    Ejer_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_15MouseMoved

private void Ejer_15MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_15MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_15.getName());
}//GEN-LAST:event_Ejer_15MouseClicked

private void Ejer_16MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_16MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_16.getName());
}//GEN-LAST:event_Ejer_16MouseClicked

private void Ejer_16MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_16MouseMoved
// TODO add your handling code here:
    Ejer_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_16MouseMoved

private void Ejer_17MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_17MouseMoved
// TODO add your handling code here:
    Ejer_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_17MouseMoved

private void Ejer_17MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_17MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_17.getName());
}//GEN-LAST:event_Ejer_17MouseClicked

private void Ejer_18MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_18MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_18.getName());
}//GEN-LAST:event_Ejer_18MouseClicked

private void Ejer_18MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_18MouseMoved
// TODO add your handling code here:
    Ejer_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_18MouseMoved

private void Ejer_19MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_19MouseMoved
// TODO add your handling code here:
    Ejer_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_19MouseMoved

private void Ejer_19MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_19MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_19.getName());
}//GEN-LAST:event_Ejer_19MouseClicked

private void Ejer_27MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_27MouseMoved
// TODO add your handling code here:
    Ejer_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_27MouseMoved

private void Ejer_27MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_27MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_27.getName());
}//GEN-LAST:event_Ejer_27MouseClicked

private void Ejer_28MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_28MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_28.getName());
}//GEN-LAST:event_Ejer_28MouseClicked

private void Ejer_28MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_28MouseMoved
// TODO add your handling code here:
    Ejer_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_28MouseMoved

private void Ejer_29MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_29MouseMoved
// TODO add your handling code here:
    Ejer_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_29MouseMoved

private void Ejer_29MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_29MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_29.getName());
}//GEN-LAST:event_Ejer_29MouseClicked

private void Ejer_30MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_30MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_30.getName());
}//GEN-LAST:event_Ejer_30MouseClicked

private void Ejer_30MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_30MouseMoved
// TODO add your handling code here:
    Ejer_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_30MouseMoved

private void Ejer_31MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_31MouseMoved
// TODO add your handling code here:
    Ejer_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_31MouseMoved

private void Ejer_31MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_31MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_31.getName());
}//GEN-LAST:event_Ejer_31MouseClicked

private void Ejer_32MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_32MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_32.getName());
}//GEN-LAST:event_Ejer_32MouseClicked

private void Ejer_32MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_32MouseMoved
// TODO add your handling code here:
    Ejer_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_32MouseMoved

private void Mision_SecActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Mision_SecActionPerformed
// TODO add your handling code here:
    this.juego.Estado(this.jugadores[turno]);
    Mision_Secreta.setSize(444, 320);
    Mision_Secreta.setLocation(300, 200);
    Mision_Secreta.setVisible(true);
}//GEN-LAST:event_Mision_SecActionPerformed

private void Ejer_34MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_34MouseMoved
// TODO add your handling code here:
    Ejer_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_34MouseMoved

private void Ejer_34MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_34MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_34.getName());
}//GEN-LAST:event_Ejer_34MouseClicked

private void Ejer_35MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_35MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_35.getName());
}//GEN-LAST:event_Ejer_35MouseClicked

private void Ejer_35MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_35MouseMoved
// TODO add your handling code here:
    Ejer_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_35MouseMoved

private void Ejer_36MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_36MouseMoved
// TODO add your handling code here:
    Ejer_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_36MouseMoved

private void Ejer_36MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_36MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_36.getName());
}//GEN-LAST:event_Ejer_36MouseClicked

private void Ejer_37MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_37MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_37.getName());
}//GEN-LAST:event_Ejer_37MouseClicked

private void Ejer_37MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_37MouseMoved
// TODO add your handling code here:
    Ejer_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_37MouseMoved

private void Ejer_38MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_38MouseMoved
// TODO add your handling code here:
    Ejer_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_38MouseMoved

private void Ejer_38MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_38MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_38.getName());
}//GEN-LAST:event_Ejer_38MouseClicked

private void Ejer_20MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_20MouseMoved
    // TODO add your handling code here:
    Ejer_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_20MouseMoved

private void Ejer_20MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_20MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_20.getName());
}//GEN-LAST:event_Ejer_20MouseClicked

private void Ejer_22MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_22MouseMoved
    // TODO add your handling code here:
    Ejer_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_22MouseMoved

private void Ejer_22MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_22MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_22.getName());
}//GEN-LAST:event_Ejer_22MouseClicked

private void Ejer_23MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_23MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_23.getName());
}//GEN-LAST:event_Ejer_23MouseClicked

private void Ejer_23MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_23MouseMoved
    // TODO add your handling code here:
    Ejer_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_23MouseMoved

private void Ejer_24MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_24MouseMoved
    // TODO add your handling code here:
    Ejer_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_24MouseMoved

private void Ejer_24MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_24MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_24.getName());
}//GEN-LAST:event_Ejer_24MouseClicked

private void Ejer_25MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_25MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_25.getName());
}//GEN-LAST:event_Ejer_25MouseClicked

private void Ejer_25MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_25MouseMoved
    // TODO add your handling code here:
    Ejer_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_25MouseMoved

private void Ejer_26MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_26MouseMoved
    // TODO add your handling code here:
    Ejer_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_26MouseMoved

private void Ejer_26MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_26MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_26.getName());
}//GEN-LAST:event_Ejer_26MouseClicked

private void Sel_TerritorioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Sel_TerritorioActionPerformed
// TODO add your handling code here:
    this.op= 3;
    Info_Territorio.setVisible(false);
}//GEN-LAST:event_Sel_TerritorioActionPerformed

private void Can_seleccionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_seleccionActionPerformed
// TODO add your handling code here:
    Info_Territorio.setVisible(false);
}//GEN-LAST:event_Can_seleccionActionPerformed

private void Info_TerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Info_TerActionPerformed
// TODO add your handling code here:
    Info_Territorio.setLocation(500, 300);
    Info_Territorio.setVisible(true);
}//GEN-LAST:event_Info_TerActionPerformed

private void Aceptar_partidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Aceptar_partidaActionPerformed
// TODO add your handling code here:
    String modo= "";
    
    Inicializar();
    
    if (jCheckBox1.isSelected() == true){
        this.num_jug= 2;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());   
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
    }
    
    if (jCheckBox2.isSelected() == true){
        this.num_jug= 3;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());        
        this.jugadores[2].setNombre_jug(jText_Jug_3.getText());
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
        this.jugadores[2].setId_jug(3);
    }    

    if (jCheckBox3.isSelected() == true){
        this.num_jug= 4;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());        
        this.jugadores[2].setNombre_jug(jText_Jug_3.getText());
        this.jugadores[3].setNombre_jug(jText_Jug_4.getText());    
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
        this.jugadores[2].setId_jug(3);
        this.jugadores[3].setId_jug(4);
    }    
    
    if (Modo_1.isSelected() == true){
        this.modo_juego= 1;
        modo= "Modo de Juego: Conquista el mundo";
        Mision_Sec.setEnabled(false);
    }    

    if (Modo_2.isSelected() == true){
        this.modo_juego= 2;
        modo= "Modo de Juego: Misin Secreta";
        Mision_Sec.setEnabled(true);
    }    

    if (Modo_3.isSelected() == true){
        this.modo_juego= 3;
        modo= "Modo de Juego: Defiende tu territorio";
        Mision_Sec.setEnabled(false);
    }
    
    this.juego.setNum_jugadores(this.num_jug);
    this.juego.setModo_juego(this.modo_juego);
    Nueva_Part.setVisible(false);
    Asignar_Territorio(this.num_jug);
   
    this.turno= 0;

    this.juego.Refuerzos(this.jugadores[turno]);   
    
    Rellenar_Tabla();
    
    if (this.modo_juego == 2)
        Territorio_def.setText("Objetivos: "+this.jugadores[turno].getMision().getNom_misiones_esp());
    
    if (this.modo_juego == 3)
        Territorio_def.setText("Territorio a Defender: "+this.jugadores[turno].getTerr_defender());

    
    Nom_jug.setText(this.jugadores[turno].getNombre_jug());
    Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
    Text_EjerAsig.setText("0");
    Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
    Modo_JuegoSel.setText(modo);
    
    //Activamos los botones
    Atacar_Ter.setEnabled(true);
    Trasladar_Ejer.setEnabled(true);
    Info_Ter.setEnabled(true);
    Ubicar_Ejer.setEnabled(true);
    Terminar_Turno.setEnabled(true);
}//GEN-LAST:event_Aceptar_partidaActionPerformed

private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox1ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(false);
    jText_Jug_4.setEnabled(false);
    Icon_Jug3.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    jLabel7.setEnabled(false);
    jLabel8.setEnabled(false);
}//GEN-LAST:event_jCheckBox1ActionPerformed

private void jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox2ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(true);
    Icon_Jug3.setEnabled(true);
    jText_Jug_4.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    jLabel7.setEnabled(true);
    jLabel8.setEnabled(false);    
}//GEN-LAST:event_jCheckBox2ActionPerformed

private void jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox3ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(true);
    jText_Jug_4.setEnabled(true);
    Icon_Jug3.setEnabled(true);
    Icon_Jug4.setEnabled(true);
    jLabel7.setEnabled(true);
    jLabel8.setEnabled(true);    
}//GEN-LAST:event_jCheckBox3ActionPerformed

private void Cancelar_partidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancelar_partidaActionPerformed
// TODO add your handling code here:
    Nueva_Part.setVisible(false);
}//GEN-LAST:event_Cancelar_partidaActionPerformed

private void Ini_AtaqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_AtaqueActionPerformed
// TODO add your handling code here:
    this.op= 1;
    Ataque.setVisible(false);
}//GEN-LAST:event_Ini_AtaqueActionPerformed

private void Aceptar_capitalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Aceptar_capitalActionPerformed
// TODO add your handling code here:
    Territorios nuevo;
    
    nuevo= this.jugadores[turno].getTerritorioPorNombre((String)Combo_Territorio.getSelectedItem());
    this.jugadores[turno].setTerr_defender(Combo_Territorio.getSelectedItem()+"");
    Seleccionado(nuevo.getIdTerritorio());
    Selecionar_Capital.setVisible(false);
}//GEN-LAST:event_Aceptar_capitalActionPerformed

private void Boton_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Boton_OkActionPerformed
// TODO add your handling code here:
    Mensaje.setVisible(false);
}//GEN-LAST:event_Boton_OkActionPerformed

private void Habilitar_MensajeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Habilitar_MensajeActionPerformed
// TODO add your handling code here:
    Aviso.setSelected(false);
}//GEN-LAST:event_Habilitar_MensajeActionPerformed

private void Ub_CanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_CanActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercitos2.setVisible(false);
}//GEN-LAST:event_Ub_CanActionPerformed

private void Ub_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_OkActionPerformed
// TODO add your handling code here:
    int val= 0;
    
    val= Integer.parseInt(Combo_Ejercitos.getSelectedItem().toString());
            
    if (val <= this.jugadores[turno].getN_ejercitos())
       this.jugadores[turno].Ubicar_Ejercitos(this.origen, val);

    Ubicar_Ejercitos2.setVisible(false);
    this.op= 0;
}//GEN-LAST:event_Ub_OkActionPerformed

private void Combo_EjercitosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Combo_EjercitosActionPerformed
// TODO add your handling code here:
    int val= 0;
    
    val= Integer.parseInt(Combo_Ejercitos.getSelectedItem().toString());
    
    if (val > this.jugadores[turno].getN_ejercitos()){
        Mensaje("Falta Ejercitos","Ests asignando ms ejercitos de lo que dispones. " +
                "Selecciona de nuevo.");
        Combo_Ejercitos.setSelectedIndex(0);
    }    
}//GEN-LAST:event_Combo_EjercitosActionPerformed

private void OK_Info2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_Info2ActionPerformed
// TODO add your handling code here:
    Info_Territorio2.setVisible(false);
}//GEN-LAST:event_OK_Info2ActionPerformed

private void Boton_mision_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Boton_mision_OkActionPerformed
// TODO add your handling code here:
    Mision_Secreta.setVisible(false);
}//GEN-LAST:event_Boton_mision_OkActionPerformed

    /**
    * @param args the command line arguments
    *
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Pantalla().setVisible(true);
            }
        });
    }*/

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton Aceptar_capital;
    private javax.swing.JButton Aceptar_partida;
    private javax.swing.JButton Atacar_Ter;
    private javax.swing.JDialog Ataque;
    private javax.swing.JCheckBox Aviso;
    private javax.swing.JMenuItem Ayuda;
    private javax.swing.JButton Boton_Ok;
    private javax.swing.JButton Boton_mision_Ok;
    private javax.swing.JButton Can_Ataque;
    private javax.swing.JButton Can_Sele;
    private javax.swing.JButton Can_Traslado;
    private javax.swing.JButton Can_seleccion;
    private javax.swing.JButton Cancelar_partida;
    private javax.swing.JTextField Carta_soldado;
    private javax.swing.JTable Cartas_Territorios;
    private javax.swing.JCheckBoxMenuItem Check_Esp;
    private javax.swing.JCheckBoxMenuItem Check_Ing;
    private javax.swing.JComboBox Combo_Ejercitos;
    private javax.swing.JComboBox Combo_Territorio;
    private javax.swing.JLabel Ejer_1;
    private javax.swing.JLabel Ejer_10;
    private javax.swing.JLabel Ejer_11;
    private javax.swing.JLabel Ejer_12;
    private javax.swing.JLabel Ejer_13;
    private javax.swing.JLabel Ejer_14;
    private javax.swing.JLabel Ejer_15;
    private javax.swing.JLabel Ejer_16;
    private javax.swing.JLabel Ejer_17;
    private javax.swing.JLabel Ejer_18;
    private javax.swing.JLabel Ejer_19;
    private javax.swing.JLabel Ejer_2;
    private javax.swing.JLabel Ejer_20;
    private javax.swing.JLabel Ejer_21;
    private javax.swing.JLabel Ejer_22;
    private javax.swing.JLabel Ejer_23;
    private javax.swing.JLabel Ejer_24;
    private javax.swing.JLabel Ejer_25;
    private javax.swing.JLabel Ejer_26;
    private javax.swing.JLabel Ejer_27;
    private javax.swing.JLabel Ejer_28;
    private javax.swing.JLabel Ejer_29;
    private javax.swing.JLabel Ejer_3;
    private javax.swing.JLabel Ejer_30;
    private javax.swing.JLabel Ejer_31;
    private javax.swing.JLabel Ejer_32;
    private javax.swing.JLabel Ejer_33;
    private javax.swing.JLabel Ejer_34;
    private javax.swing.JLabel Ejer_35;
    private javax.swing.JLabel Ejer_36;
    private javax.swing.JLabel Ejer_37;
    private javax.swing.JLabel Ejer_38;
    private javax.swing.JLabel Ejer_39;
    private javax.swing.JLabel Ejer_4;
    private javax.swing.JLabel Ejer_40;
    private javax.swing.JLabel Ejer_41;
    private javax.swing.JLabel Ejer_42;
    private javax.swing.JLabel Ejer_5;
    private javax.swing.JLabel Ejer_6;
    private javax.swing.JLabel Ejer_7;
    private javax.swing.JLabel Ejer_8;
    private javax.swing.JLabel Ejer_9;
    private javax.swing.JLabel Espartano;
    private javax.swing.ButtonGroup Grupo_Jugadores;
    private javax.swing.ButtonGroup Grupo_boton;
    private javax.swing.ButtonGroup Grupo_modoJue;
    private javax.swing.JLabel Guerrera;
    private javax.swing.JCheckBoxMenuItem Habilitar_Mensaje;
    private javax.swing.JLabel Icon_Jug1;
    private javax.swing.JLabel Icon_Jug2;
    private javax.swing.JLabel Icon_Jug3;
    private javax.swing.JLabel Icon_Jug4;
    private javax.swing.JMenu Idiomas;
    private javax.swing.JButton Info_Ter;
    private javax.swing.JDialog Info_Territorio;
    private javax.swing.JDialog Info_Territorio2;
    private javax.swing.JButton Ini_Ataque;
    private javax.swing.JButton Ini_Sele;
    private javax.swing.JButton Ini_Traslado;
    private javax.swing.JMenuItem Item_Continuar;
    private javax.swing.JMenuItem Item_Guardar;
    private javax.swing.JMenuItem Item_Nueva_Partida;
    private javax.swing.JMenuItem Item_Salir;
    private javax.swing.JLabel Jug_1;
    private javax.swing.JLabel Jugador;
    private javax.swing.JLabel Jugador_Icon;
    private javax.swing.JLabel Jugador_Nom;
    private javax.swing.JLabel Jugador_icon;
    private javax.swing.JLabel Marca_1;
    private javax.swing.JLabel Marca_10;
    private javax.swing.JLabel Marca_11;
    private javax.swing.JLabel Marca_12;
    private javax.swing.JLabel Marca_13;
    private javax.swing.JLabel Marca_14;
    private javax.swing.JLabel Marca_15;
    private javax.swing.JLabel Marca_16;
    private javax.swing.JLabel Marca_17;
    private javax.swing.JLabel Marca_18;
    private javax.swing.JLabel Marca_19;
    private javax.swing.JLabel Marca_2;
    private javax.swing.JLabel Marca_20;
    private javax.swing.JLabel Marca_21;
    private javax.swing.JLabel Marca_22;
    private javax.swing.JLabel Marca_23;
    private javax.swing.JLabel Marca_24;
    private javax.swing.JLabel Marca_25;
    private javax.swing.JLabel Marca_26;
    private javax.swing.JLabel Marca_27;
    private javax.swing.JLabel Marca_28;
    private javax.swing.JLabel Marca_29;
    private javax.swing.JLabel Marca_3;
    private javax.swing.JLabel Marca_30;
    private javax.swing.JLabel Marca_31;
    private javax.swing.JLabel Marca_32;
    private javax.swing.JLabel Marca_33;
    private javax.swing.JLabel Marca_34;
    private javax.swing.JLabel Marca_35;
    private javax.swing.JLabel Marca_36;
    private javax.swing.JLabel Marca_37;
    private javax.swing.JLabel Marca_38;
    private javax.swing.JLabel Marca_39;
    private javax.swing.JLabel Marca_4;
    private javax.swing.JLabel Marca_40;
    private javax.swing.JLabel Marca_41;
    private javax.swing.JLabel Marca_42;
    private javax.swing.JLabel Marca_5;
    private javax.swing.JLabel Marca_6;
    private javax.swing.JLabel Marca_7;
    private javax.swing.JLabel Marca_8;
    private javax.swing.JLabel Marca_9;
    private javax.swing.JDialog Mensaje;
    private javax.swing.JMenu Menu_Ayuda;
    private javax.swing.JMenu Menu_Idioma;
    private javax.swing.JMenu Menu_Jugar;
    private javax.swing.JMenuBar Menu_Principal;
    private javax.swing.JButton Mision_Sec;
    private javax.swing.JDialog Mision_Secreta;
    private javax.swing.JCheckBox Modo_1;
    private javax.swing.JCheckBox Modo_2;
    private javax.swing.JCheckBox Modo_3;
    private javax.swing.JLabel Modo_JuegoSel;
    private javax.swing.JLabel Nom_jug;
    private javax.swing.JDialog Nueva_Part;
    private javax.swing.JButton OK_Info2;
    private javax.swing.JLayeredPane Panel_Botones;
    private javax.swing.JTabbedPane Panel_Tablero;
    private javax.swing.JScrollPane Scroll_Mensaje;
    private javax.swing.JLabel Sel_Destino;
    private javax.swing.JLabel Sel_Origen;
    private javax.swing.JButton Sel_Territorio;
    private javax.swing.JDialog Selecionar_Capital;
    private javax.swing.JLabel Soldado_Elite;
    private javax.swing.JButton Terminar_Turno;
    private javax.swing.JLabel Territorio_def;
    private javax.swing.JTextField Text_Comp_Obj1;
    private javax.swing.JTextField Text_Comp_Obj2;
    private javax.swing.JTextField Text_EjerAsig;
    private javax.swing.JTextField Text_EjerSinAsig;
    private javax.swing.JTextField Text_NumMision;
    private javax.swing.JTextField Text_NumTerritorio1;
    private javax.swing.JTextField Text_NumTerritorio2;
    private javax.swing.JTextField Text_Objetivo1;
    private javax.swing.JTextField Text_Objetivo2;
    private javax.swing.JTextField Text_Objetivos;
    private javax.swing.JTextField Text_TerriOcu;
    private javax.swing.JButton Trasladar_Ejer;
    private javax.swing.JDialog Trasladar_Ejercito;
    private javax.swing.JButton Ub_Can;
    private javax.swing.JButton Ub_Ok;
    private javax.swing.JButton Ubicar_Ejer;
    private javax.swing.JDialog Ubicar_Ejercito;
    private javax.swing.JDialog Ubicar_Ejercitos2;
    private javax.swing.JLabel fondo;
    private javax.swing.JLabel fondo2;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private javax.swing.JCheckBox jCheckBox3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JLayeredPane jLayered_Tablero;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel_Cartas;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JSeparator jSeparator5;
    private javax.swing.JSeparator jSeparator6;
    private javax.swing.JTable jTabla_Vecino;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextField jTextContinente;
    private javax.swing.JTextField jTextEjer_Asig;
    private javax.swing.JTextField jTextNum_Vec;
    private javax.swing.JTextField jTextTer_Sel;
    private javax.swing.JTextField jText_Asig;
    private javax.swing.JTextField jText_Des;
    private javax.swing.JTextField jText_Disp;
    private javax.swing.JTextField jText_JugPer;
    private javax.swing.JTextField jText_Jug_1;
    private javax.swing.JTextField jText_Jug_2;
    private javax.swing.JTextField jText_Jug_3;
    private javax.swing.JTextField jText_Jug_4;
    private javax.swing.JTextField jText_Ori;
    private javax.swing.JTextField jText_Terri;
    // End of variables declaration//GEN-END:variables

    @Override
    public void update(Observable o, Object arg) {
        String quien= (String) arg;
        int com1= 0, com2= 0;
        
        if (quien.compareTo("Ganador") == 0){ 
            Mensaje("El Ganador es",this.jugadores[turno].getNombre_jug()+" ha sido el Ganador.");
            Atacar_Ter.setEnabled(false);
            Trasladar_Ejer.setEnabled(false);
            //Info_Ter.setEnabled(false);
            Ubicar_Ejer.setEnabled(false);
            Terminar_Turno.setEnabled(false);
        }    
        
        
        if (quien.compareTo("Eliminado") == 0) {
            Mensaje("Jugador Eliminado",this.jugadores[turno].getNombre_jug()+" ha sido eliminado.");
            if (this.jugadores[turno].getComodin1() == true && this.jugadores[turno].getComodin2() == true)
                this.asig_com= 2;
            else
                if (this.jugadores[turno].getComodin1() == true)
                    this.asig_com++;
                else
                    if (this.jugadores[turno].getComodin2() == true)
                        this.asig_com++;
        }
                
        
        if (quien.compareTo("Estado") == 0){
            Text_NumMision.setText(this.jugadores[turno].getMision().getNum_mision()+"");
            Text_Objetivos.setText(this.jugadores[turno].getMision().getNom_misiones_esp());
            Text_Objetivo1.setText(this.jugadores[turno].getMision().getNom_cont1());
            Text_Objetivo2.setText(this.jugadores[turno].getMision().getNom_cont2());
            Text_Comp_Obj1.setText(this.jugadores[turno].getMision().getCompletado_obj1()+"");
            Text_Comp_Obj2.setText(this.jugadores[turno].getMision().getCompletado_obj2()+"");        
            Text_NumTerritorio1.setText(this.jugadores[turno].getMision().getNum_terr_obj1()+"");        
            Text_NumTerritorio2.setText(this.jugadores[turno].getMision().getNum_terr_obj2()+"");        
        }
        
        
        if (quien.compareTo("Ubicar Ejercitos") == 0) {
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            this.Actualizar(this.origen.getIdTerritorio(), this.jugadores[turno].getId_jug(), this.origen);
        }
        
        if (quien.compareTo("Refuerzo") == 0){
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            Mensaje("Refuerzos de tropas","Tienes ahora " +
                    +this.jugadores[turno].getN_ejercitos()+" ejercitos.");
        }    
        
        if (quien.compareTo("Fin Turno") == 0){
            turno++;
            this.op= 0;
            
            //*********************FALTA HACERLO*****************************************************
            //HAY QUE HACER UNA COMPROBACION PARA SABER SI EL SIGUIENTE JUGADOR ESTA O NO ELIMINADOR
            //***************************************************************************************
            if (turno >= num_jug)
                turno= 0;

            Nom_jug.setText(this.jugadores[turno].getNombre_jug());            
            switch (this.jugadores[turno].getId_jug()){
                    case 1: this.jug_icon= dir+"Jug_Snake.png";break;
                    case 2: this.jug_icon= dir+"Jug_Meryl.png";break;
                    case 3: this.jug_icon= dir+"Jug_Raiden.png";break;
                    case 4: this.jug_icon= dir+"Jug_Mantis.png";break;
            }

            Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(this.jug_icon)));            
    
            Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            this.juego.Refuerzos(this.jugadores[turno]);
            Rellenar_Tabla();
            
            if (this.modo_juego == 2)
                Territorio_def.setText("Objetivos: "+this.jugadores[turno].getMision().getNom_misiones_esp());
            
            if (this.modo_juego == 3)
                Territorio_def.setText("Territorio a Defender: "+this.jugadores[turno].getTerr_defender());
        }
     
        com1= this.rnd_comodin1.nextInt(this.num_jug);
        com2= this.rnd_comodin2.nextInt(this.num_jug);

        switch (this.asig_com){
            case 1:
                    if (this.jugadores[com1].isEliminado() == false)
                        if (this.jugadores[com1].getComodin1() == false){
                            this.jugadores[com1].setComodin1(true);
                            Mensaje("Asignacin de Comodin.",this.jugadores[com1].getNombre_jug()+
                                    " le ha tocado el comodin 1.");
                            this.asig_com--;
                        }    
                    break;
            case 2:    
                    if (this.jugadores[com1].isEliminado() == false)
                        if (this.jugadores[com1].getComodin1() == false){
                            this.jugadores[com1].setComodin1(true);
                            Mensaje("Asignacin de Comodin.",this.jugadores[com1].getNombre_jug()+
                                    " le ha tocado el comodin 1.");
                            this.asig_com--;
                        }    

                    if (this.jugadores[com2].isEliminado() == false)
                        if (this.jugadores[com2].getComodin2() == false){
                            this.jugadores[com2].setComodin2(true);
                            Mensaje("Asignacin de Comodin.",this.jugadores[com2].getNombre_jug()+
                                    " le ha tocado el comodin 2.");
                            this.asig_com--;
                        }
                    break;
        }
    }
}
